import React from 'react';
import Card from '../Card';
import renderer from 'react-test-renderer';
import AvatarConstantProps from '../../avatar/Avatar.constantProps';
import textConstantProps from '../../text/Text.constantProps';
import ButtonConstantProps from '@zohodesk/base/es/Button/props/propConstants';
import getDocIcon, { docsIcons } from '../../docsIcons';
import style from './Card.model.decorator.module.css';
import CardConstantProps from '../Card.constantProps';
import BoxConstantProps from '../../layout/Box.constantProps';
describe('Card component', () => {
  it('should card render primary', () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Card, {
      isContainer: true,
      direction: BoxConstantProps.direction.row,
      type: CardConstantProps.type.primary
    }, /*#__PURE__*/React.createElement(Card.Avatar, {
      text: "AE",
      size: AvatarConstantProps.size.small
    }), /*#__PURE__*/React.createElement(Card.TextFields, null, /*#__PURE__*/React.createElement(Card.PrimaryText, {
      variant: textConstantProps.variant.primary
    }, "Albert Einstein"), /*#__PURE__*/React.createElement(Card.SecondaryText, {
      variant: textConstantProps.variant.secondary,
      textEllipsis: true
    }, "alberteinstein@scientist.com")), ",", /*#__PURE__*/React.createElement(Card.Button, null, "go")));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should card render secondary', () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Card, {
      isContainer: true,
      direction: BoxConstantProps.direction.row,
      type: CardConstantProps.type.secondary
    }, /*#__PURE__*/React.createElement(Card.Avatar, {
      text: "AE",
      size: AvatarConstantProps.size.small
    }), /*#__PURE__*/React.createElement(Card.TextFields, null, /*#__PURE__*/React.createElement(Card.PrimaryText, {
      variant: textConstantProps.variant.primary
    }, "Albert Einstein"), /*#__PURE__*/React.createElement(Card.SecondaryText, {
      variant: textConstantProps.variant.secondary,
      textEllipsis: true
    }, "alberteinstein@scientist.com")), ",", /*#__PURE__*/React.createElement(Card.Button, null, "go")));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should card render success', () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Card, {
      isContainer: true,
      direction: BoxConstantProps.direction.row,
      type: CardConstantProps.type.success
    }, /*#__PURE__*/React.createElement(Card.Avatar, {
      text: "AE",
      size: AvatarConstantProps.size.small
    }), /*#__PURE__*/React.createElement(Card.TextFields, null, /*#__PURE__*/React.createElement(Card.PrimaryText, {
      variant: textConstantProps.variant.primary
    }, "Albert Einstein"), /*#__PURE__*/React.createElement(Card.SecondaryText, {
      variant: textConstantProps.variant.secondary,
      textEllipsis: true
    }, "alberteinstein@scientist.com")), ",", /*#__PURE__*/React.createElement(Card.Button, null, "go")));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should card render danger', () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Card, {
      isContainer: true,
      direction: BoxConstantProps.direction.row,
      type: CardConstantProps.type.danger
    }, /*#__PURE__*/React.createElement(Card.Avatar, {
      text: "AE",
      size: AvatarConstantProps.size.small
    }), /*#__PURE__*/React.createElement(Card.TextFields, null, /*#__PURE__*/React.createElement(Card.PrimaryText, {
      variant: textConstantProps.variant.primary
    }, "Albert Einstein"), /*#__PURE__*/React.createElement(Card.SecondaryText, {
      variant: textConstantProps.variant.secondary,
      textEllipsis: true
    }, "alberteinstein@scientist.com")), ",", /*#__PURE__*/React.createElement(Card.Button, null, "go")));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should card render column', () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Card, {
      isContainer: true,
      direction: BoxConstantProps.direction.column,
      type: CardConstantProps.type.danger
    }, /*#__PURE__*/React.createElement(Card.Avatar, {
      text: "AE",
      size: AvatarConstantProps.size.small
    }), /*#__PURE__*/React.createElement(Card.TextFields, null, /*#__PURE__*/React.createElement(Card.PrimaryText, {
      variant: textConstantProps.variant.primary
    }, "Albert Einstein"), /*#__PURE__*/React.createElement(Card.SecondaryText, {
      variant: textConstantProps.variant.secondary,
      textEllipsis: true
    }, "alberteinstein@scientist.com")), ",", /*#__PURE__*/React.createElement(Card.Button, null, "go")));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should card render columnReverse', () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Card, {
      isContainer: true,
      direction: BoxConstantProps.direction.columnReverse,
      type: CardConstantProps.type.danger
    }, /*#__PURE__*/React.createElement(Card.Avatar, {
      text: "AE",
      size: AvatarConstantProps.size.small
    }), /*#__PURE__*/React.createElement(Card.TextFields, null, /*#__PURE__*/React.createElement(Card.PrimaryText, {
      variant: textConstantProps.variant.primary
    }, "Albert Einstein"), /*#__PURE__*/React.createElement(Card.SecondaryText, {
      variant: textConstantProps.variant.secondary,
      textEllipsis: true
    }, "alberteinstein@scientist.com")), ",", /*#__PURE__*/React.createElement(Card.Button, null, "go")));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should card render row', () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Card, {
      isContainer: true,
      direction: BoxConstantProps.direction.row,
      type: CardConstantProps.type.danger
    }, /*#__PURE__*/React.createElement(Card.Avatar, {
      text: "AE",
      size: AvatarConstantProps.size.small
    }), /*#__PURE__*/React.createElement(Card.TextFields, null, /*#__PURE__*/React.createElement(Card.PrimaryText, {
      variant: textConstantProps.variant.primary
    }, "Albert Einstein"), /*#__PURE__*/React.createElement(Card.SecondaryText, {
      variant: textConstantProps.variant.secondary,
      textEllipsis: true
    }, "alberteinstein@scientist.com")), ",", /*#__PURE__*/React.createElement(Card.Button, null, "go")));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should card render rowReverse', () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Card, {
      isContainer: true,
      direction: BoxConstantProps.direction.rowReverse,
      type: CardConstantProps.type.danger
    }, /*#__PURE__*/React.createElement(Card.Avatar, {
      text: "AE",
      size: AvatarConstantProps.size.small
    }), /*#__PURE__*/React.createElement(Card.TextFields, null, /*#__PURE__*/React.createElement(Card.PrimaryText, {
      variant: textConstantProps.variant.primary
    }, "Albert Einstein"), /*#__PURE__*/React.createElement(Card.SecondaryText, {
      variant: textConstantProps.variant.secondary,
      textEllipsis: true
    }, "alberteinstein@scientist.com")), ",", /*#__PURE__*/React.createElement(Card.Button, null, "go")));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should card render FooterActions', () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Card, {
      isContainer: true,
      direction: BoxConstantProps.direction.rowReverse,
      type: CardConstantProps.type.danger
    }, /*#__PURE__*/React.createElement(Card.Avatar, {
      text: "AE",
      size: AvatarConstantProps.size.small
    }), /*#__PURE__*/React.createElement(Card.TextFields, null, /*#__PURE__*/React.createElement(Card.PrimaryText, {
      variant: textConstantProps.variant.primary
    }, "Albert Einstein"), /*#__PURE__*/React.createElement(Card.SecondaryText, {
      variant: textConstantProps.variant.secondary,
      textEllipsis: true
    }, "alberteinstein@scientist.com")), ",", /*#__PURE__*/React.createElement(Card.Button, null, "go"), /*#__PURE__*/React.createElement(Card.FooterActions, {
      align: BoxConstantProps.align.both
    }, /*#__PURE__*/React.createElement(Card.Button, {
      variant: ButtonConstantProps.variant.plain,
      color: ButtonConstantProps.color.primary
    }, getDocIcon(docsIcons.shareLink, style.iconcolor)), /*#__PURE__*/React.createElement(Card.Button, {
      variant: ButtonConstantProps.variant.plain,
      color: ButtonConstantProps.color.primary
    }, getDocIcon(docsIcons.addLink, style.iconcolor)))));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should card render HeaderActions', () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Card, {
      isContainer: true,
      direction: BoxConstantProps.direction.rowReverse,
      type: CardConstantProps.type.danger
    }, /*#__PURE__*/React.createElement(Card.Avatar, {
      text: "AE",
      size: AvatarConstantProps.size.small
    }), /*#__PURE__*/React.createElement(Card.TextFields, null, /*#__PURE__*/React.createElement(Card.PrimaryText, {
      variant: textConstantProps.variant.primary
    }, "Albert Einstein"), /*#__PURE__*/React.createElement(Card.SecondaryText, {
      variant: textConstantProps.variant.secondary,
      textEllipsis: true
    }, "alberteinstein@scientist.com")), ",", /*#__PURE__*/React.createElement(Card.Button, null, "go"), /*#__PURE__*/React.createElement(Card.HeaderActions, {
      align: BoxConstantProps.align.both
    }, /*#__PURE__*/React.createElement(Card.Button, {
      variant: ButtonConstantProps.variant.plain,
      color: ButtonConstantProps.color.primary
    }, getDocIcon(docsIcons.shareLink, style.iconcolor)), /*#__PURE__*/React.createElement(Card.Button, {
      variant: ButtonConstantProps.variant.plain,
      color: ButtonConstantProps.color.primary
    }, getDocIcon(docsIcons.addLink, style.iconcolor)))));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should card render HeaderActions', () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Card, {
      isContainer: true,
      direction: BoxConstantProps.direction.rowReverse,
      type: CardConstantProps.type.danger
    }, /*#__PURE__*/React.createElement(Card.Avatar, {
      text: "AE",
      size: AvatarConstantProps.size.small
    }), /*#__PURE__*/React.createElement(Card.TextFields, null, /*#__PURE__*/React.createElement(Card.PrimaryText, {
      variant: textConstantProps.variant.primary
    }, "Albert Einstein"), /*#__PURE__*/React.createElement(Card.SecondaryText, {
      variant: textConstantProps.variant.secondary,
      textEllipsis: true
    }, "alberteinstein@scientist.com")), ",", /*#__PURE__*/React.createElement(Card.Button, null, "go"), /*#__PURE__*/React.createElement(Card.HeaderActions, {
      isHover: true,
      align: BoxConstantProps.align.both
    }, /*#__PURE__*/React.createElement(Card.Button, {
      variant: ButtonConstantProps.variant.plain,
      color: ButtonConstantProps.color.primary
    }, getDocIcon(docsIcons.shareLink, style.iconcolor)), /*#__PURE__*/React.createElement(Card.Button, {
      variant: ButtonConstantProps.variant.plain,
      color: ButtonConstantProps.color.primary
    }, getDocIcon(docsIcons.addLink, style.iconcolor)))));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should card render HeaderActions', () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Card, {
      isContainer: true,
      direction: BoxConstantProps.direction.rowReverse,
      type: CardConstantProps.type.danger
    }, /*#__PURE__*/React.createElement(Card.Avatar, {
      text: "AE",
      size: AvatarConstantProps.size.small
    }), /*#__PURE__*/React.createElement(Card.TextFields, null, /*#__PURE__*/React.createElement(Card.PrimaryText, {
      variant: textConstantProps.variant.primary
    }, "Albert Einstein"), /*#__PURE__*/React.createElement(Card.SecondaryText, {
      variant: textConstantProps.variant.secondary,
      textEllipsis: true
    }, "alberteinstein@scientist.com")), ",", /*#__PURE__*/React.createElement(Card.Button, null, "go"), /*#__PURE__*/React.createElement(Card.FooterActions, {
      isHover: true,
      align: BoxConstantProps.align.both
    }, /*#__PURE__*/React.createElement(Card.Button, {
      variant: ButtonConstantProps.variant.plain,
      color: ButtonConstantProps.color.primary
    }, getDocIcon(docsIcons.shareLink, style.iconcolor)), /*#__PURE__*/React.createElement(Card.Button, {
      variant: ButtonConstantProps.variant.plain,
      color: ButtonConstantProps.color.primary
    }, getDocIcon(docsIcons.addLink, style.iconcolor)))));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
});