import React from 'react';
import renderer from 'react-test-renderer';
import constantProps from '../Group.constantProps';
import Group from '../Group';
import Button from '@zohodesk/base/es/Button/Button';
import { BreadCrumbItem } from '../../breadcrumbs/BreadCrumbs'; // import {screen} from '@testing-library/dom';
// import {render} from '@testing-library/react';

import { shallow, configure, mount, render } from 'enzyme'; //import toJson from 'enzyme-to-json';

import Adapter from 'enzyme-adapter-react-16'; //import "jest-styled-components";

configure({
  adapter: new Adapter()
});
let buttonList = [/*#__PURE__*/React.createElement(Button, {
  key: "button1"
}, "Button1"), /*#__PURE__*/React.createElement(Button, {
  key: "button2"
}, "Button2"), /*#__PURE__*/React.createElement(Button, {
  key: "button3"
}, "Button3")];
let list = [{
  text: 'text1',
  url: document.location.href
}, {
  text: 'text2',
  url: document.location.href
}, {
  text: 'text3',
  url: document.location.href
}, {
  text: 'text4',
  url: document.location.href
}, {
  text: 'text5',
  url: document.location.href
}, {
  text: 'text6',
  url: document.location.href
}, {
  text: 'text7',
  url: document.location.href
}]; // it('Group component used to group the elements that are given as children.', () => {
//     const wrapper = shallow(
//         <Group gap={constantProps.gap.small}>{buttonList}</Group>
//     );
//     const elem = wrapper.find(Element);
//     console.log(elem,'elem',wrapper.get(0).toHaveStyleRule('display','flex'));
//     //expect(getComputedStyle(elem.getDOMNode()).getPropertyValue('gap')).toBe('16px');
//   })
// describe("Group component used to group the elements that are given as children.", () => {
// const banner = shallow(
//     <Group gap={constantProps.gap.small}>{buttonList}</Group>
// );
// it("render propperely", () => {
// //expect(banner).toMatchSnapshot();
// expect(banner.find(".spacing_sm")
// .get(0).props.style).toHaveProperty("gap", "16px");
//   });
// });
// describe ('Checking if default color of paragraph is black',() =>{
//     it("doesn't work",()=>{
//       expect(
//              mount(<Group>
//                         {buttonList}
//                     </Group>).find('span')
//           ).toHaveStyleRule('gap','16px');
//     });
//     });

describe('Group component used to group the elements that are given as children.', () => {
  it('should render the given Button as Group', () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Group, null, buttonList));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should render the given Button as Group direction:row', () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Group, {
      direction: constantProps.direction.row
    }, buttonList));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should render the given Button as Group direction:row', () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Group, {
      direction: constantProps.direction.row
    }, buttonList));
    const testInstance = ele.root;
    expect(testInstance.findByType(Group).props.direction).toBe('dir_row');
  });
  it('should render the given Button as Group direction:column', () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Group, {
      direction: constantProps.direction.column
    }, buttonList));
    const testInstance = ele.root;
    expect(testInstance.findByType(Group).props.direction).toBe('dir_col');
  });
  it('should render the given Button as Group direction:rowReverse', () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Group, {
      direction: constantProps.direction.rowReverse
    }, buttonList));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should render the given Button as Group direction:columnReverse', () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Group, {
      direction: constantProps.direction.columnReverse
    }, buttonList));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should render the given Button as Group gap:medium', () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Group, {
      gap: constantProps.gap.medium
    }, buttonList));
    const testInstance = ele.root;
    expect(testInstance.findByType(Group).props.gap).toBe('spacing_md');
  });
  it('should render the given Button as Group gap:xsmall', () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Group, {
      gap: constantProps.gap.xSmall
    }, buttonList));
    let tree = ele.toJSON();
    const testInstance = ele.root;
    expect(testInstance.findByType(Group).props.gap).toBe('spacing_xs');
  });
  it('should render the given Button as Group gap:small', () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Group, {
      gap: constantProps.gap.small
    }, buttonList));
    let tree = ele.toJSON();
    const testInstance = ele.root; // console.log(testInstance.findByProps({className: "base spacing_sm"}),'group');
    //console.log(testInstance.find(Group).props,'grouproot');
    // expect(ele.find('Group').get(0).props.style).toHaveProperty(
    //     'display',
    //     '',
    //   );
    //console.log(testInstance.findByType(Group).toHaveStyle('gap: 16px'))//.getDOMNode().getComputedStyle()).to.have.property({className: 'base spacing_sm'});

    expect(testInstance.findByType(Group).props.gap).toBe('spacing_sm'); // expect (testInstance.findByType(Group).styles.gap).toBe('16px')
    // expect(tree).toMatchSnapshot();
    // expect(testInstance.findByProps({className: "base spacing_sm"})).toBe(1);
    //const element = testInstance;
    // const styles = window.getComputedStyle(ele.getInstance());
    // console.log(styles,'styles');
    //expect(styles.backgroundColor).toBe('red');
  });
  it('should render the given Button as Group gap:large', () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Group, {
      gap: constantProps.gap.large
    }, buttonList));
    const testInstance = ele.root;
    expect(testInstance.findByType(Group).props.gap).toBe('spacing_lg');
  });
  it('should render the given Button as Group direction:column,align:horizontal', () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Group, {
      direction: constantProps.direction.column,
      align: constantProps.align.horizontal,
      seperator: '+'
    }, list.map((listitem, i) => /*#__PURE__*/React.createElement(BreadCrumbItem, {
      key: i,
      href: listitem.url,
      text: listitem.text
    }))));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should render the given Button as Group direction:row,align:horizontal', () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Group, {
      direction: constantProps.direction.row,
      align: constantProps.align.horizontal,
      seperator: '+'
    }, list.map((listitem, i) => /*#__PURE__*/React.createElement(BreadCrumbItem, {
      key: i,
      href: listitem.url,
      text: listitem.text
    }))));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should render the given Button as Group direction:column,align:vertical', () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Group, {
      direction: constantProps.direction.column,
      align: constantProps.align.vertical,
      seperator: '+'
    }, list.map((listitem, i) => /*#__PURE__*/React.createElement(BreadCrumbItem, {
      key: i,
      href: listitem.url,
      text: listitem.text
    }))));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should render the given Button as Group direction:row,align:vertical', () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Group, {
      direction: constantProps.direction.row,
      align: constantProps.align.vertical,
      seperator: '+'
    }, list.map((listitem, i) => /*#__PURE__*/React.createElement(BreadCrumbItem, {
      key: i,
      href: listitem.url,
      text: listitem.text
    }))));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should render the given Button as Group direction:column,align:both', () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Group, {
      direction: constantProps.direction.column,
      align: constantProps.align.both,
      seperator: '+'
    }, list.map((listitem, i) => /*#__PURE__*/React.createElement(BreadCrumbItem, {
      key: i,
      href: listitem.url,
      text: listitem.text
    }))));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should render the given Button as Group direction:row,align:both', () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Group, {
      direction: constantProps.direction.row,
      align: constantProps.align.both,
      seperator: '+'
    }, list.map((listitem, i) => /*#__PURE__*/React.createElement(BreadCrumbItem, {
      key: i,
      href: listitem.url,
      text: listitem.text
    }))));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should render the given Button as Group seperator:+', () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Group, {
      direction: constantProps.direction.row,
      align: constantProps.align.vertical,
      seperator: '+'
    }, list.map((listitem, i) => /*#__PURE__*/React.createElement(BreadCrumbItem, {
      key: i,
      href: listitem.url,
      text: listitem.text
    }))));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should render the given Button as Group seperator:/', () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Group, {
      direction: constantProps.direction.row,
      align: constantProps.align.vertical,
      seperator: '/'
    }, list.map((listitem, i) => /*#__PURE__*/React.createElement(BreadCrumbItem, {
      key: i,
      href: listitem.url,
      text: listitem.text
    }))));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
});