import React from "react";
import RadioGroup, { Radio, RadioGroupContext } from "../RadioGroup";
import renderer from "react-test-renderer";
import radioConstant, { RadioGroupConstant } from "../RadioGroup.constantProps";
import { create, act } from "react-test-renderer";
describe("RadioGroup component", () => {
  //direction
  it("should display the RadioGroup direction the horizontal", () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(RadioGroup, {
      direction: RadioGroupConstant.direction.horizontal,
      name: "horizontalGroup"
    }, /*#__PURE__*/React.createElement(Radio, {
      text: radioConstant.variant.inner,
      color: radioConstant.color.primary,
      variant: radioConstant.variant.inner
    }), /*#__PURE__*/React.createElement(Radio, {
      text: radioConstant.variant.inner,
      color: radioConstant.color.primary,
      variant: radioConstant.variant.inner
    })));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the RadioGroup direction the vertical", () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(RadioGroup, {
      direction: RadioGroupConstant.direction.vertical,
      name: "verticalGroup"
    }, /*#__PURE__*/React.createElement(Radio, {
      text: radioConstant.variant.inner,
      color: radioConstant.color.primary,
      variant: radioConstant.variant.inner
    }), /*#__PURE__*/React.createElement(Radio, {
      text: radioConstant.variant.inner,
      color: radioConstant.color.primary,
      variant: radioConstant.variant.inner
    })));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  }); //colors

  it("should display the RadioGroup color the primary", () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(RadioGroup, {
      name: "primaryGroup"
    }, /*#__PURE__*/React.createElement(Radio, {
      text: radioConstant.color.primary,
      color: radioConstant.color.primary
    }), /*#__PURE__*/React.createElement(Radio, {
      text: radioConstant.color.primary,
      color: radioConstant.color.primary
    })));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the RadioGroup color the danger", () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(RadioGroup, {
      name: "dangerGroup"
    }, /*#__PURE__*/React.createElement(Radio, {
      text: radioConstant.color.danger,
      color: radioConstant.color.danger
    }), /*#__PURE__*/React.createElement(Radio, {
      text: radioConstant.color.danger,
      color: radioConstant.color.danger
    })));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  }); //variant

  it("should display the RadioGroup variant the inner", () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(RadioGroup, {
      name: "innerGroup"
    }, /*#__PURE__*/React.createElement(Radio, {
      text: radioConstant.variant.inner,
      variant: radioConstant.variant.inner
    }), /*#__PURE__*/React.createElement(Radio, {
      text: radioConstant.variant.inner,
      variant: radioConstant.variant.inner
    })));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the RadioGroup variant the outer", () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(RadioGroup, {
      name: "outerGroup"
    }, /*#__PURE__*/React.createElement(Radio, {
      text: radioConstant.variant.outer,
      variant: radioConstant.variant.outer
    }), /*#__PURE__*/React.createElement(Radio, {
      text: radioConstant.variant.outer,
      variant: radioConstant.variant.outer
    })));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  }); //sizes

  it("should display the RadioGroup size the small", () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(RadioGroup, {
      name: "smallGroup"
    }, /*#__PURE__*/React.createElement(Radio, {
      text: radioConstant.size.small,
      size: radioConstant.size.small
    }), /*#__PURE__*/React.createElement(Radio, {
      text: radioConstant.size.small,
      size: radioConstant.size.small
    })));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the RadioGroup size the medium", () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(RadioGroup, {
      name: "mediumGroup"
    }, /*#__PURE__*/React.createElement(Radio, {
      text: radioConstant.size.medium,
      size: radioConstant.size.medium
    }), /*#__PURE__*/React.createElement(Radio, {
      text: radioConstant.size.medium,
      size: radioConstant.size.medium
    })));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the RadioGroup size the large", () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(RadioGroup, {
      name: "largeGroup"
    }, /*#__PURE__*/React.createElement(Radio, {
      text: radioConstant.size.large,
      size: radioConstant.size.large
    }), /*#__PURE__*/React.createElement(Radio, {
      text: radioConstant.size.large,
      size: radioConstant.size.large
    })));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the RadioGroupContext direction the horizontal", () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(RadioGroupContext, {
      direction: RadioGroupConstant.direction.horizontal,
      name: "contextHorizontalGroup"
    }, /*#__PURE__*/React.createElement(Radio, {
      text: radioConstant.variant.inner,
      color: radioConstant.color.primary,
      variant: radioConstant.variant.inner
    }), /*#__PURE__*/React.createElement(Radio, {
      text: radioConstant.variant.inner,
      color: radioConstant.color.primary,
      variant: radioConstant.variant.inner
    })));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the RadioGroupContext direction the vertical", () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(RadioGroupContext, {
      direction: RadioGroupConstant.direction.vertical,
      name: "contextVerticalGroup"
    }, /*#__PURE__*/React.createElement(Radio, {
      text: radioConstant.variant.inner,
      color: radioConstant.color.primary,
      variant: radioConstant.variant.inner
    }), /*#__PURE__*/React.createElement(Radio, {
      text: radioConstant.variant.inner,
      color: radioConstant.color.primary,
      variant: radioConstant.variant.inner
    })));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the RadioGroupContext onchange props", () => {
    const mockFunction1 = jest.fn();
    const mockFunction2 = jest.fn();
    let ele = renderer.create( /*#__PURE__*/React.createElement(RadioGroupContext, {
      direction: RadioGroupConstant.direction.vertical,
      name: "contextVerticalGroup",
      onChange: mockFunction1
    }, /*#__PURE__*/React.createElement(Radio, {
      text: radioConstant.variant.inner,
      color: radioConstant.color.primary,
      variant: radioConstant.variant.inner,
      onChange: mockFunction2
    }), /*#__PURE__*/React.createElement(Radio, {
      text: radioConstant.variant.inner,
      color: radioConstant.color.primary,
      variant: radioConstant.variant.inner
    })));
    ele.root.props.onChange();
    ele.root.props.children[0].props.onChange();
    expect(mockFunction1).toHaveBeenCalled();
    expect(mockFunction2).toHaveBeenCalled();
  });
  it("should display the RadioGroup onchange props", () => {
    const mockFunction1 = jest.fn();
    const mockFunction2 = jest.fn();
    let ele = renderer.create( /*#__PURE__*/React.createElement(RadioGroup, {
      direction: RadioGroupConstant.direction.vertical,
      name: "contextVerticalGroup",
      onChange: mockFunction1
    }, /*#__PURE__*/React.createElement(Radio, {
      text: radioConstant.variant.inner,
      color: radioConstant.color.primary,
      variant: radioConstant.variant.inner,
      onChange: mockFunction2,
      value: "group1"
    }), /*#__PURE__*/React.createElement(Radio, {
      text: radioConstant.variant.inner,
      color: radioConstant.color.primary,
      variant: radioConstant.variant.inner,
      value: "group2"
    })));
    ele.root.props.onChange();
    ele.root.props.children[0].props.onChange();
    expect(mockFunction1).toHaveBeenCalled();
    expect(mockFunction2).toHaveBeenCalled();
  });
  it("should render Radio in disabled mode", () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(RadioGroupContext, {
      direction: RadioGroupConstant.direction.vertical,
      name: "disabledGroup"
    }, /*#__PURE__*/React.createElement(Radio, {
      text: radioConstant.variant.inner,
      color: radioConstant.color.primary,
      variant: radioConstant.variant.inner,
      disabled: true
    }), /*#__PURE__*/React.createElement(Radio, {
      text: radioConstant.variant.inner,
      color: radioConstant.color.primary,
      variant: radioConstant.variant.inner,
      disabled: true
    })));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
});