import React from "react";
import Switch from "../Switch";
import renderer from "react-test-renderer";
import constantProps from "../Switch.constantProps";
describe("Switches toggle the state of a single setting on or off.", () => {
  it("should render the given label", () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Switch, {
      label: "Run Automation for all cases"
    }));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should render slider in the primary color:blue", () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Switch, {
      variant: constantProps.variant.primary
    }));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should render slider in the secondary color:green", () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Switch, {
      variant: constantProps.variant.secondary
    }));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  }); // sizes

  it("should render switch in small size", () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Switch, {
      size: constantProps.size.small
    }));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should render switch in medium size", () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Switch, {
      size: constantProps.size.medium
    }));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should render switch in large size", () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Switch, {
      size: constantProps.size.large
    }));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  }); // Shape

  it("should render slider in square form", () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Switch, null));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should render slider in round form", () => {
    let rounded = "rounded";
    let ele = renderer.create( /*#__PURE__*/React.createElement(Switch, {
      shape: rounded
    }));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  }); // Disabled mode

  it("should render switch in disabled mode", () => {
    let disabled = true;
    let ele = renderer.create( /*#__PURE__*/React.createElement(Switch, {
      disabled: disabled
    }));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  }); // Need to write test cases to capture the user interaction
});