import React from "react";
import useCommonReducer from "../../libraries/reducerHandler";
import AccordionContext from "./AccordionContext";
import { handleToggle } from "./Accordion.actions";
import reducer from "./Accordion.reducer";
import componentCategories from "../../docs-utils/componentCategories";
import componentGroups from "../../docs-utils/componentGroups";
export default function Accordion({
  children,
  customReducer = (state, action) => state,
  position = "bottom",
  opened = []
}) {
  let { state: accordionState, dispatch } = useCommonReducer(
    reducer,
    customReducer,
    opened
  );

  return (
    <AccordionContext.Provider
      value={{
        accordionState,
        handleClick: (index) => {
          dispatch(handleToggle(index));
        },
        position
      }}>
      <div>{children}</div>
    </AccordionContext.Provider>
  );
}

if (__DOCS__) {
  Accordion.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}
