import React from "react";
import Accordion from "./Accordion";
import AccordionItemWithContext from "./AccordionItemWithContext.skeleton";
import combineReducers from "./combineReducers";
import single from "./single";

export default function SingleOpenAccordion({ items }) {
  return (
    <Accordion
      position="bottom"
      customReducer={combineReducers(single)}
      opened={[true]}
    >
      {items.map((item, index) => {
        return (
          <AccordionItemWithContext
            index={index}
            heading={item.heading}
            key={"index" + index}
          >
            {item.children}
          </AccordionItemWithContext>
        );
      })}
    </Accordion>
  );
}
