import React from "react";
import AvatarBehaviour from "./Avatar.behaviour";
import AvatarSkeleton from "./Avatar.skeleton";
import componentGroups from "../../docs-utils/componentGroups";
import componentCategories from "../../docs-utils/componentCategories";

import avatarPropTypes, {
  defaultProps,
  propsDescription
} from "./Avatar.propTypes";
import constantProps from "./Avatar.constantProps";

export default function Avatar(props) {
  return <AvatarBehaviour {...props} renderComponent={AvatarSkeleton} />;
}

Avatar.propTypes = avatarPropTypes;
Avatar.defaultProps = defaultProps;
Avatar.propsDescription = propsDescription;
Avatar.constantProps = constantProps;

if (__DOCS__) {
  Avatar.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}
