import React from "react";
import Avatar from "../Avatar";
import renderer from "react-test-renderer";
import constantProps from "../Avatar.constantProps";
// import Adapter from 'enzyme-adapter-react-16';
// import { shallow, configure } from 'enzyme';
// configure({adapter: new Adapter()});

describe("Avatar component", () => {
  // colors
  it("should color the default", () => {
    let ele = renderer.create(
      <Avatar text="A" color={constantProps.color.default} />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });

  it("should color the primary", () => {
    let ele = renderer.create(
      <Avatar text="A" color={constantProps.color.primary} />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });

  it("should color the secondary", () => {
    let ele = renderer.create(
      <Avatar text="A" color={constantProps.color.secondary} />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  
  // sizes
  it("should Size the small", () => {
    let ele = renderer.create(
      <Avatar text="A" size={constantProps.size.small} />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should Size the medium", () => {
    let ele = renderer.create(
      <Avatar text="A" size={constantProps.size.medium} />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should Size the large", () => {
    let ele = renderer.create(
      <Avatar text="A" size={constantProps.size.large} />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should Size the xLarge", () => {
    let ele = renderer.create(
      <Avatar text="A" size={constantProps.size.xLarge} />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });

  // Shape
  it("should Shape the square", () => {
    let ele = renderer.create(
      <Avatar
        text="A"
        size={constantProps.size.small}
        shape={constantProps.shape.square}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should Shape the circle", () => {
    let ele = renderer.create(
      <Avatar
        text="A"
        size={constantProps.size.small}
        shape={constantProps.shape.circle}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  // photo url
  it("photo url", () => {
    let ele = renderer.create(
      <Avatar
        text="A"
        size={constantProps.size.small}
        shape={constantProps.shape.square}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  // floating layer
  it("floating layer", () => {
    let ele = renderer.create(
      <Avatar
        onError={() => {
          alert("hi");
        }}
        onLoad={() => {
          alert("hi");
        }}
        size={constantProps.size.xSmall}
        color={constantProps.color.secondary}
        photoUrl={"htadsan-png-transparent.png"}
        shape={constantProps.shape.circle}
        text="M"
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("testing img error method call", () => {
    let ele = renderer.create(
      <Avatar
        onError={() => {
          alert("hi");
        }}
        onLoad={() => {
          alert("hi");
        }}
        size={constantProps.size.xSmall}
        color={constantProps.color.secondary}
        photoUrl={"htadsan-png-transparent.png"}
        shape={constantProps.shape.circle}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });

  // it("testing img error method call", () => {
  //   let mockedHandleChange = jest.fn();
  //   let wrapper = shallow(
  //     <Avatar
  //       onError={() => {
  //         alert("hi");
  //       }}
  //       onLoad={() => {
  //         alert("hi");
  //       }}
  //       size={constantProps.size.xSmall}
  //       color={constantProps.color.secondary}
  //       photoUrl={"htadsan-png-transparent.png"}
  //       shape={constantProps.shape.circle}
  //     />
  //   );
  //   wrapper.instance().getContent = mockedHandleChange;
  //   expect(mockedHandleChange).toHaveBeenCalledTimes(1);
  // });
});
