import React from 'react';
import breadCrumbPropTypes, {defaultProps , propsDescription} from "./BreadCrumbs.propTypes";
import BreadCrumbsBehaviour from "./BreadCrumbs.behaviour";
import BreadCrumbsSkeleton from "./BreadCrumbs.skeleton";
import BreadCrumbItem from "./BreadCrumbItem";
import componentGroups from "../../docs-utils/componentGroups";
import componentCategories from "../../docs-utils/componentCategories";

export default function BreadCrumbs(props){
	return(
		<BreadCrumbsBehaviour {...props} renderComponent={BreadCrumbsSkeleton} />
	)
}

BreadCrumbs.propTypes=breadCrumbPropTypes;
BreadCrumbs.defaultProps=defaultProps;
BreadCrumbs.propsDescription=propsDescription

export {BreadCrumbItem};

if(__DOCS__){
	BreadCrumbs.docs={
		componentGroup: componentGroups.Components,
        folderName : componentCategories.UCL
	}
}