import React from "react";
import componentCategories from "../../docs-utils/componentCategories";
import componentGroups from "../../docs-utils/componentGroups";
import CheckboxBehaviour, {
  CheckboxContextBehaviour,
  CheckboxGroupBehaviour
} from "./Checkbox.behaviour";

import checkboxPropTypes, {
  checkboxDefaultProps,
  checkboxPropsDescription,
  checkboxGroupProps,
  checkboxGroupDefaultProps,
  checkboxGroupPropsDescription,
  checkboxContextProps,
  checkboxContextDefaultProps,
  checkboxContextPropsDescription
} from "./Checkbox.propTypes";
import CheckboxConstant, {
  checkboxGroupConstant
} from "./Checkbox.constantProps";

export function CheckboxGroup(props) {
  return <CheckboxGroupBehaviour {...props} />;
}

export function CheckboxGroupContext(props) {
  return <CheckboxContextBehaviour {...props} />;
}
export default function Checkbox(props) {
  return <CheckboxBehaviour {...props} />;
}

CheckboxGroup.propTypes = checkboxGroupProps;
CheckboxGroup.defaultProps = checkboxGroupDefaultProps;
CheckboxGroup.propsDescription = checkboxGroupPropsDescription;
CheckboxGroup.constantProps = checkboxGroupConstant;

Checkbox.propTypes = checkboxPropTypes;
Checkbox.defaultProps = checkboxDefaultProps;
Checkbox.propsDescription = checkboxPropsDescription;
Checkbox.constantProps = CheckboxConstant;

CheckboxGroupContext.propTypes = checkboxContextProps;
CheckboxGroupContext.defaultProps = checkboxContextDefaultProps;
CheckboxGroupContext.propsDescription = checkboxContextPropsDescription;
CheckboxGroupContext.constantProps = checkboxGroupConstant;

if (__DOCS__) {
  Checkbox.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}
