import React from "react";
import CalendarviewBehaviour from "./Calendarview.behaviour";
import CalendarviewSkeleton from "./Calendarview.skeleton";
import CalendarviewPropTypes, {
  defaultProps,
  propsDescription
} from "./Calendarview.propTypes";
import componentGroups from "../../../docs-utils/componentGroups";
import componentCategories from "../../../docs-utils/componentCategories";
import constantProps from "./Calendarview.constantProps";

export default function Calendarview(props) {
  return (
    <CalendarviewBehaviour {...props} renderComponent={CalendarviewSkeleton} />
  );
}

Calendarview.propTypes = CalendarviewPropTypes;
Calendarview.defaultProps = defaultProps;
Calendarview.propsDescription = propsDescription;
Calendarview.constantProps = constantProps;

if (__DOCS__) {
  Calendarview.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}
