import React from 'react';
import DocsTabsViewer from '@zohodesk/docs/es/docsviewer/DocsTabsViewer';
import Calendarview from '../Calendarview';
import CalendarviewDocConfig from './Calendarview.model.docConfig';
import componentGroups from '../../../../docs-utils/componentGroups';
import componentCategories from '../../../../docs-utils/componentCategories';

export class CalendarviewConsumer extends React.Component {
  constructor(props) {
    super(props);
    let date = new Date();
    this.state = {
      month: date.getMonth(),
      date: date.getDate(),
      year: date.getYear(),
      day: date.getDay()
    };
    this.onSelectDate = this.onSelectDate.bind(this);
  }
  onSelectDate(date) {
    this.setState({
      date: date
    });
  }
  render() {
    return (
      <div>
        <Calendarview
          month={this.state.month}
          date={this.state.date}
          year={this.state.year}
          onSelect={this.onSelectDate}
          {...this.props}
        />
      </div>
    );
  }
}
export default function Calendarview__Model(props) {
  return <DocsTabsViewer docConfig={CalendarviewDocConfig} componentType={CalendarviewConsumer} {...props} />;
}
if (__DOCS__) {
  Calendarview__Model.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}
