import React from "react";
import DateboxBehaviour from "./Datebox.behaviour";
import DateboxSkeleton from "./Datebox.skeleton";
import DateboxPropTypes, {
  defaultProps,
  propsDescription
} from "./Datebox.propTypes";
import componentGroups from "../../../docs-utils/componentGroups";
import componentCategories from "../../../docs-utils/componentCategories";
import constantProps from "./Datebox.constantProps";

export default function Datebox(props) {
  return <DateboxBehaviour {...props} renderComponent={DateboxSkeleton} />;
}

Datebox.propTypes = DateboxPropTypes;
Datebox.defaultProps = defaultProps;
Datebox.propsDescription = propsDescription;
Datebox.constantProps = constantProps;

if (__DOCS__) {
  Datebox.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}
