import React from 'react';
import style from "./Datebox.module.css";
import getCompliedClassName from "../../../utils/getCompliedClassName";
import DateboxPropTypes, {
  defaultProps,
  propsDescription
} from "./Datebox.propTypes";
import constantProps from "./Datebox.constantProps";
import getCompliedCustomId from "../../../utils/getCompliedCustomId";

function DateboxSkeleton(props){
    const {
        customClassName,
        incremday,
        customId,
        isActive, 
        onClick,
        tagAttributeProps,
        shape,
        size,
        color,
        disabled
    } = props;
    let dateClass = getCompliedClassName(
        customClassName,
        {
          [style.datesStr]: true,
          [style.today]: !!isActive,
          [style[size]]: !!size,
          [style[shape]]: !!shape,
          [style[color]]: !!color,
          [style.disabled]: !!disabled
        },
        {
          [customClassName.base]: !!customClassName.base,
          [customClassName.active]: !!customClassName.active,
          [customClassName.shape]: !!customClassName.shape,
          [customClassName.color]: !!customClassName.color,
          [customClassName.hover]: !!customClassName.hover,
          [customClassName.disabled]: !!customClassName.disabled
        }
      );
    return(
        <div
            className={dateClass}
            onClick={onClick}
            dataId={getCompliedCustomId(props, customId.date)}
            {...tagAttributeProps}
        >
            {incremday}
        </div>
    )
}

export default DateboxSkeleton


DateboxSkeleton.propTypes = DateboxPropTypes;
DateboxSkeleton.defaultProps = defaultProps;
DateboxSkeleton.propsDescription = propsDescription;
DateboxSkeleton.constantProps = constantProps;
