import React from "react";
import DatepickerBehaviour from "./Datepicker.behaviour";
import DatepickerSkeleton from "./Datepicker.skeleton";
import DatepickerPropTypes, {
  defaultProps,
  propsDescription
} from "./Datepicker.propTypes";
import componentGroups from "../../../docs-utils/componentGroups";
import componentCategories from "../../../docs-utils/componentCategories";
//import constantProps from "./Datepicker.constantProps";

export default function Datepicker(props) {
  return (
    <DatepickerBehaviour {...props} renderComponent={DatepickerSkeleton} />
  );
}

Datepicker.propTypes = DatepickerPropTypes;
Datepicker.defaultProps = defaultProps;
Datepicker.propsDescription = propsDescription;
//Datepicker.constantProps=constantProps;

if (__DOCS__) {
  Datepicker.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}
