import React from 'react';
import DocsTabsViewer from '@zohodesk/docs/es/docsviewer/DocsTabsViewer';
import Datepicker from '../Datepicker';
import DatepickerDocConfig from './Datepicker.model.docConfig';
import componentGroups from '../../../../docs-utils/componentGroups';
import componentCategories from '../../../../docs-utils/componentCategories';

export class DatepickerConsumer extends React.Component {
  constructor(props) {
    super(props);
    let date = new Date();
    console.log(date, typeof date);
    this.state = {
      month: date.getMonth(),
      date: date.getDate(),
      year: date.getFullYear(),
      day: date.getDay()
    };
    this.onSelectDate = this.onSelectDate.bind(this);
    this.setYear = this.setYear.bind(this);
    this.setMonth = this.setMonth.bind(this);
  }

  setYear(year) {
    this.setState({ year: year });
  }
  setMonth(month) {
    this.setState({ month: month });
  }
  onSelectDate(data) {
    console.log(data);
    this.setState({
      date: data.date,
      year: data.year,
      month: data.month,
      day: data.day
    });
  }
  render() {
    let { date, month, day, year } = this.state;
    return (
      <>
        <span>
          {`${date}-${month}-${year}`}
          {this.props.dayNames[day]}
        </span>
        <Datepicker
          {...this.props}
          {...this.state}
          selectYear={this.setYear}
          selectMonth={this.setMonth}
          onSelectDate={this.onSelectDate}
        />
      </>
    );
  }
}

export default function Datepicker__Model(props) {
  return <DocsTabsViewer docConfig={DatepickerDocConfig} componentType={DatepickerConsumer} {...props} />;
}
if (__DOCS__) {
  Datepicker__Model.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}
