import React from "react";
import MonthBehaviour from "./Month.behaviour";
import MonthSkeleton from "./Month.skeleton";
import MonthPropTypes, {
  defaultProps,
  propsDescription
} from "./Month.propTypes";
import componentGroups from "../../../docs-utils/componentGroups";
import componentCategories from "../../../docs-utils/componentCategories";
//import constantProps from "./Month.constantProps";

export default function Month(props) {
  return <MonthBehaviour {...props} renderComponent={MonthSkeleton} />;
}

Month.propTypes = MonthPropTypes;
Month.defaultProps = defaultProps;
Month.propsDescription = propsDescription;
//Month.constantProps=constantProps;

if (__DOCS__) {
  Month.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}
