import React from 'react';
import getCompliedClassName from '../../../utils/getCompliedClassName';
import getCompliedCustomId from '../../../utils/getCompliedCustomId';
import style from './Month.module.css'

function MonthSkeleton(props){
    const { 
      month,
      isActive,
      displayText,
      hoverText,
      onClick,
      disabled,
      customId,
      customClassName,
      tagAttributeProps
    } = props;
    let monthClass = getCompliedClassName(
      customClassName,
      {
        [style.month]: true,
        [style.currentMonth]: !!isActive,
        [style.disabled]: !!disabled
      },
      {
        [customClassName.active]: !!customClassName.active,
        [customClassName.shape]: !!customClassName.shape,
        [customClassName.hover]: !!customClassName.hover,
        [customClassName.disabled]: !!customClassName.disabled
      }
    );
    return (
      <div
        dataId={getCompliedCustomId(props, customId.month)}
        className={monthClass}
        onClick={onClick}
        dataTitle={hoverText}
        {...tagAttributeProps}
      >
        {displayText}
      </div>
    );
}

export default MonthSkeleton