import React from 'react';
import getCompliedClassName from '../../../utils/getCompliedClassName';
import getCompliedCustomId from '../../../utils/getCompliedCustomId';
import style from './Year.module.css';

function YearSkeleton(props) {
  const { year, isActive, onClick, eleRef, disabled, customId, customClassName, tagAttributeProps } = props;
  let yearClass = getCompliedClassName(
    customClassName,
    {
      [style.year]: true,
      [style.isActive]: !!isActive,
      [style.disabled]: !!disabled
    },
    {
      [customClassName.active]: !!customClassName.active,
      [customClassName.shape]: !!customClassName.shape,
      [customClassName.hover]: !!customClassName.hover,
      [customClassName.disabled]: !!customClassName.disabled
    }
  );
  let yearTextClass = getCompliedClassName(
    customClassName,
    {
      [style.yearText]: true
    },
    {
      [customClassName.active]: !!customClassName.active,
      [customClassName.shape]: !!customClassName.shape,
      [customClassName.hover]: !!customClassName.hover,
      [customClassName.disabled]: !!customClassName.disabled
    }
  );
  return (
    <div
      className={yearClass}
      onClick={onClick}
      dataId={getCompliedCustomId(props, customId.year)}
      ref={eleRef}
      {...tagAttributeProps}
    >
      <div className={yearTextClass}>{year}</div>
    </div>
  );
}
export default YearSkeleton;
