import React from 'react';
import DocsTabsViewer from '@zohodesk/docs/es/docsviewer/DocsTabsViewer';
import Yearview from '../Yearview';
import YearviewDocConfig from './Yearview.model.docConfig';
import componentGroups from '../../../../docs-utils/componentGroups';
import componentCategories from '../../../../docs-utils/componentCategories';

export class YearviewConsumer extends React.Component {
  constructor(props) {
    super(props);
    this.state = { year: 2021, month: 7 };
    this.setYear = this.setYear.bind(this);
    this.setMonth = this.setMonth.bind(this);
  }
  setYear(year) {
    this.setState({ year: year });
  }
  setMonth(month) {
    this.setState({ month: month });
  }
  render() {
    return (
      <div>
        <Yearview
          viewedYear={this.state.year}
          viewedMonth={this.state.month}
          onSelectYear={this.setYear}
          onSelectMonth={this.setMonth}
          {...this.props}
        />
      </div>
    );
  }
}
export default function Yearview__Model(props) {
  return <DocsTabsViewer docConfig={YearviewDocConfig} componentType={YearviewConsumer} {...props} />;
}
if (__DOCS__) {
  Yearview__Model.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}
