import React from "react";
import ButtonBehaviour from "./Button.behaviour";
import ButtonSkeleton from "./Button.skeleton";
import buttonPropTypes, {
  defaultProps,
  propsDescription
} from "./Button.propTypes";
import componentGroups from "../../../docs-utils/componentGroups";
import componentCategories from "../../../docs-utils/componentCategories";
import constantProps from "./Button.constantProps";

export default function Button(props) {
  return <ButtonBehaviour {...props} renderComponent={props.renderComponent} />;
}

Button.propTypes = buttonPropTypes;
Button.defaultProps = defaultProps;
Button.propsDescription = propsDescription;
Button.constantProps = constantProps;

if (__DOCS__) {
  Button.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}
