import React from "react";
import Header from "./Header";
import Body from "./Body";
import Footer from "./Footer";
import DialogBehaviour from "./Dialog.behaviour";
import DialogSkeleton from "./Dialog.skeleton";
import dialogPropTypes, { defaultProps } from "./Dialog.propTypes";
import componentGroups from "../../docs-utils/componentGroups";
import componentCategories from "../../docs-utils/componentCategories";

export { Header, Body, Footer };

export default function Dialog(props) {
  return <DialogBehaviour {...props} renderComponent={DialogSkeleton} />;
}

Dialog.propTypes = dialogPropTypes;
Dialog.defaultProps = defaultProps;

if (__DOCS__) {
  Dialog.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}
