import React from "react";
import DropDownBehaviour, {
  DropDownTargetBehaviour,
  DropDownContentBehaviour
} from "./DropDown.behaviour";
import DropDownSkeleton, {
  DropDownTargetSkeleton,
  DropDownContentSkeleton
} from "./DropDown.skeleton";
import DropDownPropTypes, { defaultProps } from "./DropDown.propTypes";
import constantProps from "./DropDown.constantProps";
import componentGroups from "../../docs-utils/componentGroups";
import componentCategories from "../../docs-utils/componentCategories";

function DropDown(props) {
  return <DropDownBehaviour {...props} renderComponent={DropDownSkeleton} />;
}
export function DropDownTarget(props) {
  return (
    <DropDownTargetBehaviour
      {...props}
      renderComponent={DropDownTargetSkeleton}
    />
  );
}
export function DropDownContent(props) {
  return (
    <DropDownContentBehaviour
      {...props}
      renderComponent={DropDownContentSkeleton}
    />
  );
}

if (__DOCS__) {
  DropDown.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}

DropDown.propTypes = DropDownPropTypes;
DropDown.defaultProps = defaultProps;
DropDown.constantProps = constantProps;

export default DropDown;
