import React from "react";
import FreezeLayerBehaviour from "./FreezeLayer.behaviour";
import FreezeLayerSkeleton from "./FreezeLayer.skeleton";
import FreezeLayerPropTypes, { defaultProps } from "./FreezeLayer.propTypes";
import constantProps from "./FreezeLayer.constantProps";
import componentGroups from "../../docs-utils/componentGroups";
import componentCategories from "../../docs-utils/componentCategories";

function FreezeLayer(props) {
  return (
    <FreezeLayerBehaviour {...props} renderComponent={FreezeLayerSkeleton} />
  );
}

if (__DOCS__) {
  FreezeLayer.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}

FreezeLayer.propTypes = FreezeLayerPropTypes;
FreezeLayer.defaultProps = defaultProps;
FreezeLayer.constantProps = constantProps;
export default FreezeLayer;
