import React from "react";
import FreezeLayer from "../FreezeLayer";
import renderer from "react-test-renderer";
import boxConstants from "../../layout/Box.constantProps";
import constantProps from "../FreezeLayer.constantProps";
import style from "../docs/FreezeLayer.decorator.module.css";

describe("FreezeLayer component", () => {
  it("should display the FreezeLayer variant-default", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.default}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-dark", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.dark}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-plain", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.plain}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });

  it("should display the FreezeLayer variant-default,blur-1", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.default}
        blur={constantProps.blur.level1}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-dark,blur-1", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.dark}
        blur={constantProps.blur.level1}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-plain,blur-1", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.plain}
        blur={constantProps.blur.level1}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });

  it("should display the FreezeLayer variant-default,blur-2", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.default}
        blur={constantProps.blur.level2}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-dark,blur-2", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.dark}
        blur={constantProps.blur.level2}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-plain,blur-2", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.plain}
        blur={constantProps.blur.level2}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });

  it("should display the FreezeLayer variant-default,blur-3", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.default}
        blur={constantProps.blur.level3}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-dark,blur-3", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.dark}
        blur={constantProps.blur.level3}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-plain,blur-3", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.plain}
        blur={constantProps.blur.level3}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });

  it("should display the FreezeLayer variant-default,blur-4", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.default}
        blur={constantProps.blur.level4}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-dark,blur-4", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.dark}
        blur={constantProps.blur.level4}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-plain,blur-4", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.plain}
        blur={constantProps.blur.level4}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });

  it("should display the FreezeLayer variant-default,blur-1,zIndex-short", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.default}
        blur={constantProps.blur.level1}
        zIndex={constantProps.zIndex.short}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-dark,blur-1,zIndex-short", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.dark}
        blur={constantProps.blur.level1}
        zIndex={constantProps.zIndex.short}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-plain,blur-1,zIndex-short", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.plain}
        blur={constantProps.blur.level1}
        zIndex={constantProps.zIndex.short}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });

  it("should display the FreezeLayer variant-default,blur-2,zIndex-short", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.default}
        blur={constantProps.blur.level2}
        zIndex={constantProps.zIndex.short}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-dark,blur-2,zIndex-short", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.dark}
        blur={constantProps.blur.level2}
        zIndex={constantProps.zIndex.short}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-plain,blur-2,zIndex-short", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.plain}
        blur={constantProps.blur.level2}
        zIndex={constantProps.zIndex.short}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });

  it("should display the FreezeLayer variant-default,blur-3,zIndex-short", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.default}
        blur={constantProps.blur.level3}
        zIndex={constantProps.zIndex.short}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-dark,blur-3,zIndex-short", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.dark}
        blur={constantProps.blur.level3}
        zIndex={constantProps.zIndex.short}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-plain,blur-3,zIndex-short", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.plain}
        blur={constantProps.blur.level3}
        zIndex={constantProps.zIndex.short}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });

  it("should display the FreezeLayer variant-default,blur-4,zIndex-short", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.default}
        blur={constantProps.blur.level4}
        zIndex={constantProps.zIndex.short}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-dark,blur-4,zIndex-short", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.dark}
        blur={constantProps.blur.level4}
        zIndex={constantProps.zIndex.short}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-plain,blur-4,zIndex-short", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.plain}
        blur={constantProps.blur.level4}
        zIndex={constantProps.zIndex.short}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });

  it("should display the FreezeLayer variant-default,blur-1,zIndex-light", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.default}
        blur={constantProps.blur.level1}
        zIndex={constantProps.zIndex.light}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-dark,blur-1,zIndex-light", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.dark}
        blur={constantProps.blur.level1}
        zIndex={constantProps.zIndex.light}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-plain,blur-1,zIndex-light", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.plain}
        blur={constantProps.blur.level1}
        zIndex={constantProps.zIndex.light}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });

  it("should display the FreezeLayer variant-default,blur-2,zIndex-light", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.default}
        blur={constantProps.blur.level2}
        zIndex={constantProps.zIndex.light}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-dark,blur-2,zIndex-light", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.dark}
        blur={constantProps.blur.level2}
        zIndex={constantProps.zIndex.light}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-plain,blur-2,zIndex-light", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.plain}
        blur={constantProps.blur.level2}
        zIndex={constantProps.zIndex.light}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });

  it("should display the FreezeLayer variant-default,blur-3,zIndex-light", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.default}
        blur={constantProps.blur.level3}
        zIndex={constantProps.zIndex.light}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-dark,blur-3,zIndex-light", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.dark}
        blur={constantProps.blur.level3}
        zIndex={constantProps.zIndex.light}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-plain,blur-3,zIndex-light", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.plain}
        blur={constantProps.blur.level3}
        zIndex={constantProps.zIndex.light}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });

  it("should display the FreezeLayer variant-default,blur-4,zIndex-light", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.default}
        blur={constantProps.blur.level4}
        zIndex={constantProps.zIndex.light}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-dark,blur-4,zIndex-light", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.dark}
        blur={constantProps.blur.level4}
        zIndex={constantProps.zIndex.light}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-plain,blur-4,zIndex-light", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.plain}
        blur={constantProps.blur.level4}
        zIndex={constantProps.zIndex.light}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });

  it("should display the FreezeLayer variant-default,blur-1,zIndex-calm", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.default}
        blur={constantProps.blur.level1}
        zIndex={constantProps.zIndex.calm}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-dark,blur-1,zIndex-calm", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.dark}
        blur={constantProps.blur.level1}
        zIndex={constantProps.zIndex.calm}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-plain,blur-1,zIndex-calm", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.plain}
        blur={constantProps.blur.level1}
        zIndex={constantProps.zIndex.calm}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });

  it("should display the FreezeLayer variant-default,blur-2,zIndex-calm", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.default}
        blur={constantProps.blur.level2}
        zIndex={constantProps.zIndex.calm}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-dark,blur-2,zIndex-calm", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.dark}
        blur={constantProps.blur.level2}
        zIndex={constantProps.zIndex.calm}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-plain,blur-2,zIndex-calm", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.plain}
        blur={constantProps.blur.level2}
        zIndex={constantProps.zIndex.calm}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });

  it("should display the FreezeLayer variant-default,blur-3,zIndex-calm", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.default}
        blur={constantProps.blur.level3}
        zIndex={constantProps.zIndex.calm}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-dark,blur-3,zIndex-calm", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.dark}
        blur={constantProps.blur.level3}
        zIndex={constantProps.zIndex.calm}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-plain,blur-3,zIndex-calm", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.plain}
        blur={constantProps.blur.level3}
        zIndex={constantProps.zIndex.calm}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });

  it("should display the FreezeLayer variant-default,blur-4,zIndex-calm", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.default}
        blur={constantProps.blur.level4}
        zIndex={constantProps.zIndex.calm}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-dark,blur-4,zIndex-calm", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.dark}
        blur={constantProps.blur.level4}
        zIndex={constantProps.zIndex.calm}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-plain,blur-4,zIndex-calm", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.plain}
        blur={constantProps.blur.level4}
        zIndex={constantProps.zIndex.calm}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });

  it("should display the FreezeLayer variant-default,blur-1,zIndex-high", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.default}
        blur={constantProps.blur.level1}
        zIndex={constantProps.zIndex.high}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-dark,blur-1,zIndex-high", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.dark}
        blur={constantProps.blur.level1}
        zIndex={constantProps.zIndex.high}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-plain,blur-1,zIndex-high", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.plain}
        blur={constantProps.blur.level1}
        zIndex={constantProps.zIndex.high}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });

  it("should display the FreezeLayer variant-default,blur-2,zIndex-high", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.default}
        blur={constantProps.blur.level2}
        zIndex={constantProps.zIndex.high}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-dark,blur-2,zIndex-high", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.dark}
        blur={constantProps.blur.level2}
        zIndex={constantProps.zIndex.high}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-plain,blur-2,zIndex-high", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.plain}
        blur={constantProps.blur.level2}
        zIndex={constantProps.zIndex.high}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });

  it("should display the FreezeLayer variant-default,blur-3,zIndex-high", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.default}
        blur={constantProps.blur.level3}
        zIndex={constantProps.zIndex.high}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-dark,blur-3,zIndex-high", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.dark}
        blur={constantProps.blur.level3}
        zIndex={constantProps.zIndex.high}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-plain,blur-3,zIndex-high", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.plain}
        blur={constantProps.blur.level3}
        zIndex={constantProps.zIndex.high}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });

  it("should display the FreezeLayer variant-default,blur-4,zIndex-high", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.default}
        blur={constantProps.blur.level4}
        zIndex={constantProps.zIndex.high}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-dark,blur-4,zIndex-high", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.dark}
        blur={constantProps.blur.level4}
        zIndex={constantProps.zIndex.high}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-plain,blur-4,zIndex-high", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.plain}
        blur={constantProps.blur.level4}
        zIndex={constantProps.zIndex.high}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });

  it("should display the FreezeLayer variant-default,direction-row,align-horizontal", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.horizontal}
        variant={constantProps.variant.default}
        direction={boxConstants.direction.row}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-default,direction-row,align-vertical", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.vertical}
        variant={constantProps.variant.default}
        direction={boxConstants.direction.row}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-default,direction-row,align-both", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        variant={constantProps.variant.default}
        direction={boxConstants.direction.row}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-default,direction-row,align-top", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.top}
        variant={constantProps.variant.default}
        direction={boxConstants.direction.row}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-default,direction-row,align-bottom", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.bottom}
        direction={boxConstants.direction.row}
        variant={constantProps.variant.default}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });

  it("should display the FreezeLayer variant-default,direction-rowReverse,align-horizontal", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.horizontal}
        direction={boxConstants.direction.rowReverse}
        variant={constantProps.variant.default}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-default,direction-rowReverse,align-vertical", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.vertical}
        direction={boxConstants.direction.rowReverse}
        variant={constantProps.variant.default}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-default,direction-rowReverse,align-both", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        direction={boxConstants.direction.rowReverse}
        variant={constantProps.variant.default}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-default,direction-rowReverse,align-top", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.top}
        direction={boxConstants.direction.rowReverse}
        variant={constantProps.variant.default}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-default,direction-rowReverse,align-bottom", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.bottom}
        direction={boxConstants.direction.rowReverse}
        variant={constantProps.variant.default}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });

  it("should display the FreezeLayer variant-default,direction-column,align-horizontal", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.horizontal}
        direction={boxConstants.direction.column}
        variant={constantProps.variant.default}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-default,direction-column,align-vertical", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.vertical}
        direction={boxConstants.direction.column}
        variant={constantProps.variant.default}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-default,direction-column,align-both", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        direction={boxConstants.direction.column}
        variant={constantProps.variant.default}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-default,direction-column,align-top", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.top}
        direction={boxConstants.direction.column}
        variant={constantProps.variant.default}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-default,direction-column,align-bottom", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.bottom}
        direction={boxConstants.direction.column}
        variant={constantProps.variant.default}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });

  it("should display the FreezeLayer variant-default,direction-columnreverse,align-horizontal", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.horizontal}
        direction={boxConstants.direction.columnReverse}
        variant={constantProps.variant.default}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-default,direction-columnreverse,align-vertical", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.vertical}
        direction={boxConstants.direction.columnReverse}
        variant={constantProps.variant.default}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-default,direction-columnreverse,align-both", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.both}
        direction={boxConstants.direction.columnReverse}
        variant={constantProps.variant.default}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-default,direction-columnreverse,align-top", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.top}
        direction={boxConstants.direction.columnReverse}
        variant={constantProps.variant.default}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the FreezeLayer variant-default,direction-columnreverse,align-bottom", () => {
    let ele = renderer.create(
      <FreezeLayer
        align={boxConstants.align.bottom}
        direction={boxConstants.direction.columnReverse}
        variant={constantProps.variant.default}
      >
        <span className={style.boxEle}>default</span>
      </FreezeLayer>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
});
