import React from "react";
import GroupBehaviour from "./Group.behaviour";
import GroupSkeleton from "./Group.skeleton";
import GroupPropTypes, {
  defaultProps,
  propsDescription
} from "./Group.propTypes";
import componentGroups from "../../docs-utils/componentGroups";
import componentCategories from "../../docs-utils/componentCategories";
import constantProps from "./Group.constantProps";

export default function Group(props) {
  return <GroupBehaviour {...props} renderComponent={GroupSkeleton} />;
}

Group.propTypes = GroupPropTypes;
Group.defaultProps = defaultProps;
Group.propsDescription = propsDescription;
Group.constantProps = constantProps;

if (__DOCS__) {
  Group.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}
