import React from "react";
import BoxBehaviour from "./Box.behaviour";
import BoxSkeleton from "./Box.skeleton";
import BoxPropTypes, { defaultProps } from "./Box.propTypes";
import constantProps from "./Box.constantProps";
import componentGroups from "../../docs-utils/componentGroups";
import componentCategories from "../../docs-utils/componentCategories";

export default function Box(props) {
  return <BoxBehaviour {...props} renderComponent={BoxSkeleton} />;
}
if (__DOCS__) {
  Box.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}

Box.propTypes = BoxPropTypes;
Box.defaultProps = defaultProps;
Box.constantProps = constantProps;
