import React from "react";
import style from "./Box__default.module.css";
import Box from "../Box";
import boxConstants from "../Box.constantProps";
import componentGroups from "../../../docs-utils/componentGroups";
import componentCategories from "../../../docs-utils/componentCategories";

export default class Box__container extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      direction: boxConstants.direction.column,
      align: boxConstants.align.left,
      justifyContent: boxConstants.justifyContent.between,
      isCover: false,
      wrap: boxConstants.wrap.wrap
    };
  }
  select(key, e) {
    this.setState({ [key]: e.target.value });
  }
  check() {
    this.setState({ isCover: !this.state.isCover });
  }
  render() {
    let { direction, align, justifyContent, isCover, wrap } = this.state;
    return (
      <div className={style.boxCon}>
        <div>
          <span>direction</span>
          <select
            onChange={(e) => this.select("direction", e)}
            value={this.state.direction}>
            {Object.keys(boxConstants.direction).map((item, i) => (
              <option value={boxConstants.direction[item]} key={i}>
                {item}
              </option>
            ))}
          </select>
          <span>align</span>
          <select
            onChange={(e) => this.select("align", e)}
            value={this.state.align}>
            {Object.keys(boxConstants.align).map((item, i) => (
              <option value={boxConstants.align[item]} key={i}>
                {item}
              </option>
            ))}
          </select>
          <span>justifyContent</span>
          <select
            onChange={(e) => this.select("justifyContent", e)}
            value={this.state.justifyContent}>
            {Object.keys(boxConstants.justifyContent).map((item, i) => (
              <option value={boxConstants.justifyContent[item]} key={i}>
                {item}
              </option>
            ))}
          </select>
          <span>wrap</span>
          <select
            onChange={(e) => this.select("wrap", e)}
            value={this.state.wrap}>
            {Object.keys(boxConstants.wrap).map((item, i) => (
              <option value={boxConstants.wrap[item]} key={i}>
                {item}
              </option>
            ))}
          </select>
          <input
            type='checkbox'
            onChange={this.check.bind(this)}
            checked={this.state.isCover}
          />{" "}
          isCover
        </div>
        <div className={style.boxCon}>
          <Box
            direction={direction}
            align={align}
            justifyContent={justifyContent}
            isCover={isCover}
            wrap={wrap}
            isContainer={true}>
            <span className={style.content}>ch1</span>
            <span className={style.content}>ch2</span>
            <span className={style.content}>ch3</span>
            <span className={style.content}>ch4</span>
          </Box>
        </div>
      </div>
    );
  }
}

Box__container.docs = {
  componentGroup: componentGroups.Components,
  folderName: componentCategories.UCL
};
