import React from "react";
import Box from "../Box";
import boxConstants from "../Box.constantProps";
import style from "./Box__default.module.css";
import componentGroups from "../../../docs-utils/componentGroups";
import componentCategories from "../../../docs-utils/componentCategories";

export default class Box__default extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      spacing: boxConstants.spacing.small,
      align: boxConstants.alignSelf.center,
      column: boxConstants.column.column_3
    };
  }
  select(key, e) {
    this.setState({ [key]: e.target.value });
  }
  render() {
    return (
      <div>
        <div>
          <span>spacing</span>
          <select
            onChange={(e) => this.select("spacing", e)}
            value={this.state.spacing}>
            {Object.keys(boxConstants.spacing).map((item, i) => (
              <option value={boxConstants.spacing[item]} key={i}>
                {item}
              </option>
            ))}
          </select>
          <span>column</span>
          <select
            onChange={(e) => this.select("column", e)}
            value={this.state.column}>
            {Object.keys(boxConstants.column).map((item, i) => (
              <option value={boxConstants.column[item]} key={i}>
                {item}
              </option>
            ))}
          </select>
        </div>
        <Box
          direction={boxConstants.direction.row}
          wrap={boxConstants.wrap.wrap}
          isContainer={true}>
          <Box
            spacing={this.state.spacing}
            alignSelf={this.state.align}
            flexible
            basis
            isLast
            isContainer={true}>
            <div className={style.containment}>
              flexible basis isLast
              <div className={style.content}>Box1</div>
              <div className={style.content}>Box11</div>
            </div>
          </Box>
          <Box spacing={this.state.spacing} alignSelf={this.state.align} basis>
            <div className={style.containment}>
              basis
              <div className={style.content}>Box2</div>
              <div className={style.content}>Box21</div>
            </div>
          </Box>
          <Box
            spacing={this.state.spacing}
            alignSelf={this.state.align}
            flexible>
            <div className={style.containment}>
              flexible
              <div className={style.content}>Box3</div>
              <div className={style.content}>Box31</div>
            </div>
          </Box>
          <Box spacing={this.state.spacing} alignSelf={this.state.align} shrink>
            <div className={style.containment}>
              shrink
              <div className={style.content}>Box4</div>
            </div>
          </Box>
          <Box
            spacing={this.state.spacing}
            column={this.state.column}
            alignSelf={this.state.align}>
            <div className={style.content}>Box5</div>
          </Box>
          <Box
            spacing={this.state.spacing}
            column={this.state.column}
            alignSelf={this.state.align}>
            <div className={style.content}>Box6</div>
          </Box>
          <Box
            spacing={this.state.spacing}
            column={this.state.column}
            alignSelf={this.state.align}>
            <div className={style.content}>Box7</div>
          </Box>
          <Box
            spacing={this.state.spacing}
            column={this.state.column}
            alignSelf={this.state.align}
            isFirst>
            <div className={style.containment}>
              isFirst
              <div className={style.content}>Box8</div>
            </div>
          </Box>
        </Box>
      </div>
    );
  }
}
Box__default.docs = {
  componentGroup: componentGroups.Components,
  folderName: componentCategories.UCL
};
