import React from 'react';
import GridBehaviour from './Grid.behaviour';
import GridPropTypes, { defaultProps } from './Grid.propTypes';
import GridSkeleton from './Grid.skeleton';
import componentCategories from '../../../docs-utils/componentCategories';
import componentGroups from '../../../docs-utils/componentGroups';

export default function Grid(props) {
  return <GridBehaviour renderComponent={GridSkeleton} {...props} />;
}
if (__DOCS__) {
  Grid.docs = {
    componentGroup: componentGroups.Templates,
    folderName: componentCategories.Layout
  };
}

Grid.propTypes = GridPropTypes;
Grid.defaultProps = defaultProps;
