import React from "react";
import componentCategories from "../../../../docs-utils/componentCategories";
import componentGroups from "../../../../docs-utils/componentGroups";
import Grid from "../Grid";
import style from "./Grid__default.module.css";
import gridConstants from "../Grid.constantProps";

export default class Grid__default extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      rowGap: gridConstants.rowGap.none,
      columnGap: gridConstants.columnGap.none,
      align: gridConstants.align.horizontal,
      justifyContent: gridConstants.justifyContent.between,
      isInlineGrid: false
    };
  }
  select(key, e) {
    this.setState({ [key]: e.target.value });
  }
  check() {
    this.setState({ isInlineGrid: !this.state.isInlineGrid });
  }
  render() {
    let { align, justifyContent, rowGap, columnGap, isInlineGrid } = this.state;
    return (
      <div className={style.boxCon}>
        <div>
          <span>rowGap</span>
          <select
            onChange={(e) => this.select("rowGap", e)}
            value={this.state.rowGap}
          >
            {Object.keys(gridConstants.rowGap).map((item, i) => (
              <option value={gridConstants.rowGap[item]} key={i}>
                {item}
              </option>
            ))}
          </select>
          <span>align</span>
          <select
            onChange={(e) => this.select("align", e)}
            value={this.state.align}
          >
            {Object.keys(gridConstants.align).map((item, i) => (
              <option value={gridConstants.align[item]} key={i}>
                {item}
              </option>
            ))}
          </select>
          <span>justifyContent</span>
          <select
            onChange={(e) => this.select("justifyContent", e)}
            value={this.state.justifyContent}
          >
            {Object.keys(gridConstants.justifyContent).map((item, i) => (
              <option value={gridConstants.justifyContent[item]} key={i}>
                {item}
              </option>
            ))}
          </select>
          <span>columnGap</span>
          <select
            onChange={(e) => this.select("columnGap", e)}
            value={this.state.columnGap}
          >
            {Object.keys(gridConstants.columnGap).map((item, i) => (
              <option value={gridConstants.columnGap[item]} key={i}>
                {item}
              </option>
            ))}
          </select>
          <input
            type="checkbox"
            onChange={this.check.bind(this)}
            checked={this.state.isInlineGrid}
          />{" "}
          isInlineGrid
        </div>
        <div className={style.boxCon}>
          <Grid
            align={align}
            justifyContent={justifyContent}
            rowGap={rowGap}
            columnGap={columnGap}
            inlineGrid={isInlineGrid}
            customClassName={{ grid: style.container }}
          >
            <div className={`${style.item} ${style.item1}`}>1</div>
            <div className={`${style.item} ${style.item2}`}>2</div>
            <div className={`${style.item} ${style.item3}`}>3</div>
            <div className={`${style.item} ${style.item4}`}>4</div>
            <div className={`${style.item} ${style.item5}`}>5</div>
            <div className={`${style.item} ${style.item6}`}>6</div>
          </Grid>
        </div>
      </div>
    );
  }
}

Grid__default.docs = {
  componentGroup: componentGroups.Templates,
  folderName: componentCategories.Layout
};
