import React from "react";
import LinkBehaviour from "./Link.behaviour";
import linkPropTypes, {
  defaultProps
} from "./Link.propTypes";
import constantProps from "./Link.constantProps";
import componentCategories from "../../docs-utils/componentCategories";
import componentGroups from "../../docs-utils/componentGroups";

export default function Link(props) {
  return <LinkBehaviour {...props} />;
}

Link.propTypes = linkPropTypes;
Link.defaultProps = defaultProps;
Link.constantProps = constantProps;

if (__DOCS__) {
  Link.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}
