import React from "react";
import ListItemBehaviour, {
  ListBoxBehaviour,
  ListSectionBehaviour
} from "./ListItem.behaviour";
import ListItemSkeleton, {
  ListBoxSkeleton,
  ListSectionSkeleton
} from "./ListItem.skeleton";
import ListItemPropTypes, {
  defaultProps,
  ListSectionPropTypes,
  ListBoxPropTypes,
  defaultListSectionProps,
  defaultListBoxProps,
  propsDescription,
  listBoxPropsDescription,
  listSectionPropsDescription
} from "./ListItem.propTypes";
import constantProps from "./ListItem.constantProps";
import componentCategories from "../../docs-utils/componentCategories";
import componentGroups from "../../docs-utils/componentGroups";
export default function ListItem(props) {
  return <ListItemBehaviour {...props} renderComponent={ListItemSkeleton}/>;
}

ListItem.propTypes = ListItemPropTypes;
ListItem.defaultProps = defaultProps;
ListItem.propsDescription = propsDescription;
ListItem.constantProps = constantProps;

export function ListSection(props) {
  return (
    <ListSectionBehaviour {...props} renderComponent={ListSectionSkeleton} />
  );
}

ListSection.propTypes = ListSectionPropTypes;
ListSection.defaultProps = defaultListSectionProps;
ListSection.propsDescription = listSectionPropsDescription;

export function ListBox(props) {
  return <ListBoxBehaviour {...props} renderComponent={ListBoxSkeleton} />;
}
ListBox.propTypes = ListBoxPropTypes;
ListBox.defaultProps = defaultListBoxProps;
ListBox.propsDescription = listBoxPropsDescription;

if (__DOCS__) {
  ListItem.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}
