/* eslint-disable css-modules/no-unused-class */
/* eslint-disable jsx-a11y/click-events-have-key-events */
/* eslint-disable jsx-a11y/no-noninteractive-element-interactions */
import React from "react";
import useMergeStyle from "@zohodesk/hooks/es/utils/useMergeStyle";
import Link from "../link/Link";
import listBoxDefaultstyle from "./ListBox.module.css";
import listSectionDefaultstyle from "./ListSection.module.css";
import listItemDefaultstyle from "./ListItem.module.css";
import listItemCssJSLogic from "./ListItem.cssJSLogic";
import listBoxCssJSLogic from "./ListBox.cssJSLogic";
import listSectionCssJSLogic from "./ListSection.cssJSLogic";

export default function ListItemSkeleton(props) {
  const {
    customStyle,

    value,
    disabled,
    customId,
    onClick,

    lhs,
    rhs,
    children,
    subTitle,
    text,
    href,

    isEmptyState,
    isLoadingState,
    emptyState,
    loadingState,

    menuItemProps,
    tagGeneralAttributes,
    tagAttributes
  } = props;

  const style = useMergeStyle(listItemDefaultstyle, customStyle);

  const {listClass, LHSAlignment, RHSAlignment, subTitleClass, contentClass} = listItemCssJSLogic(props, style);
  
  const childEle = (
    <>
      {lhs ? <div className={LHSAlignment}>{lhs}</div> : null}
      {children || (
        <div className={contentClass}>
          {text}
          {subTitle && <div className={subTitleClass}>{subTitle}</div>}
        </div>
      )}
      {rhs ? <div className={RHSAlignment}>{rhs}</div> : null}
    </>
  );
  return (
    // eslint-disable-next-line no-nested-ternary
    isEmptyState?emptyState:isLoadingState?loadingState:(
      <li
        {...tagGeneralAttributes}
        className={listClass}
        dataid={customId}
        value={value}
        {...menuItemProps}
        disabled={disabled}
        onClick={onClick}
        {...tagAttributes}
      >
        {href ? (
          <Link href={href} hasPreventDefaultBehaviour onClick={onClick}>
            {childEle}
          </Link>
      ) : (
        childEle
      )}
      </li>
      )
  );
}
export function ListBoxSkeleton(props) {
  const {
    children,
    role,
    tabIndex,
    ariaLabel,
    customStyle,
    menuProps,
    rootElementProps,
    onScroll,
    tagGeneralAttributes,
    tagAttributes,
    getRef
  } = props;

  const style = useMergeStyle(listBoxDefaultstyle, customStyle)
  
  const boxClass = listBoxCssJSLogic(props, style);

  return (
    <ul
      {...tagGeneralAttributes}
      role={role}
      tabIndex={tabIndex}
      aria-label={ariaLabel}
      className={boxClass}
      onScroll={onScroll}
      {...menuProps}
      {...rootElementProps}
      {...tagAttributes}
      ref={getRef}
    >
      {children}
    </ul>
  );
}


export function ListSectionSkeleton(props) {
  const {
    children,
    title,
    role,
    tabIndex,
    ariaLabel,
    customStyle,
    tagGeneralAttributes,
    tagAttributes
  } = props;

  const style = useMergeStyle(listSectionDefaultstyle, customStyle);

  const { sectionClass, titleClass, sectionlistClass } = listSectionCssJSLogic(props, style)
  return (
    <li
      {...tagGeneralAttributes}
      role={role}
      tabIndex={tabIndex}
      ariaLabel={ariaLabel}
      className={sectionClass}
      {...tagAttributes}
    >
      {title && <span className={titleClass}>{title}</span>}
      <ol className={sectionlistClass}>{children}</ol>
    </li>
  );
}
