import React,{useState,useCallback,useMemo} from 'react';
import FreezeLayer from '../freezelayer/FreezeLayer.skeleton';
import Modal from './Modal';

  export default function ModalConsumer(props) {
    
      
      const [showmodal,setShowModal] = useState(false);
        
      const [showtopmodal,setShowTopModal] = useState(false);
      const[showmodalwithoutoverlay,setShowModalWithoutOverlay] = useState(false);  
      
  
      let pageRef = React.createRef();
    

    const handleModalWithoutOverlay = useCallback(()=> {
      let toggleState = !showmodalwithoutoverlay;
      setShowModalWithoutOverlay(toggleState);
    },[showmodalwithoutoverlay]);

    const toggleTopModal = useCallback(()=> {
      let toggleState = !showtopmodal;
      setShowTopModal(toggleState);
    },[showtopmodal]);

    const handleShow= useCallback(()=> {
      setShowModal(true);
      },[showmodal]);
  
    const handleHide = useCallback(()=> {
      setShowModal(false);
    },[showmodal])
      // Show a Modal on click.
      // (In a real app, don't forget to use ARIA attributes
      // for accessibility!)

      console.log('showmodal is' , showmodal);
      console.log('showtopmodal is' , showtopmodal);
      console.log('showmodalwithoutoverlay is' , showmodalwithoutoverlay);
      return (
        <>
            <div id="modal-root"></div>  
            
            <div id="modal-root1"></div>
          <div className="app">
            {' '}
            <h3>Modal Support For UCL using react portal technique:</h3>
            <p>
              {' '}
              This implementation supports the rendering of floating UIs like
              Alert,Confirm Dialogs, Notification Messages, Pop-overs,etc..
            </p>
            <b> Why Modal Implementation exists? </b>
            <div>
              {' '}
              <span >
                {' '}
                Reusable technique to avoid the duplication in the implementation
                of the required features of floating UIs like{' '}
              </span>
              <ul>
                <li>Trapping keyboard focus within the top most floating UI.</li>
                <li> Closes the floating UI when user presses the escape key </li>
                <li>
                  Maintaining the focus order, to correctly focus on the initiator
                  UI, when a floating UI got closed.
                </li>
                <li>
                  {' '}
                  Overlay Support to prevent accessing the underlying application
                  while floating UI exists.{' '}
                </li>
              </ul>{' '}
            </div>
            <br />
            <button
              ref={pageRef}
              onClick={handleShow}
              style={{ cursor: 'pointer' }}
              role="modalrootbutton"
            >
              Open a Dialog
            </button>
            { showmodal ?  ( <ModalOne handleHide={handleHide} toggleTopModal={toggleTopModal} {...props}  /> ):null } 
            {showtopmodal ? (
              <TopModal
                toggleHandler={handleModalWithoutOverlay}
                closeDialogReference={toggleTopModal}
              />
            ) : null}
            {showmodalwithoutoverlay ? (
              <TopMostModal
              closeDialogReference={handleModalWithoutOverlay}
              />
            ) : null}
          </div>
        </>
      );
    
  }
export function ModalOne(props) {
  const freezeFn = useCallback((props)=> <FreezeLayer {...props}/>,[props.freezeLayer]);
  const modalrootNode = useMemo(()=> document.getElementById('modal-root'),["modal-root"]);
   
      return (
        <div>
          <Modal
            freezeLayer ={freezeFn}
            modalname="modal1"
            {...props}
            
            modalrootNode={modalrootNode}
             closeDialogReference={props.handleHide}
          >
             <div
            className="modal"
            role="dialog"
            style={{
              border: '1px solid red',
              height: '250px',
              width:'400px'
            }}
             >
            <div style={{ textAlign: 'center', fontWeight: 'bold' }} role="dialogheader1">
              Dialog 1
            </div>
            <p style={{display: 'inline-block' }}>
              Triggered by Open a Dialog button.
            </p>
            <p>
              {' '}
              <button
                key="1"
                onClick={props.handleHide}
                style={{
                  float: 'right',
                  cursor: 'pointer'
                  
                }}
                role="closedialog1"
              >
                <b>X</b>
              </button>
              
            </p>
            <br />
            <p>
              <button
                key="2"
                style={{ cursor: 'pointer' }}
                onClick={props.toggleTopModal}
                role="modalinitiator"
              >
                {' '}
                Open Dialog 2{' '}
              </button>
            </p>
            <br />
            <p>
              <button key="3">Dummy Button 2</button>
            </p>
          </div>
          </Modal>
        </div>
      );
    
  }
  export function TopModal(props) {

      let elementRef = React.createRef();
      const freezeFn = useCallback((props)=> <FreezeLayer {...props}/>,[props.freezeLayer]);
      const focusDialogReference = useCallback(()=> {elementRef.current &&  elementRef.current.focus();},[elementRef]);
      const closeDialogReference = useCallback(()=> {
        let refValue = elementRef.current && elementRef.current.value;
        let refValueLength = 0;
        if(refValue != null)
        {
          refValueLength = refValue.length;   
        }
        return  refValueLength === 0 ? props.closeDialogReference() : null; 
     },[props.closeDialogReference  ]);

     const modalrootNode = useMemo(()=> document.getElementById('modal-root1'),["modal-root1"]);
    
     // console.log('Inside Top Modal Render', this.props);
      return (
        <div>
          <Modal
            {...props}
            freezeLayer ={freezeFn }
             modalname="modal2"
            modalrootNode={modalrootNode}
            focusDialogReference={focusDialogReference}
            closeDialogReference={
              closeDialogReference}
          >
            <Dialog
              elementRef={elementRef}
              closeDialogReference={closeDialogReference}
              toggleHandler={props.toggleHandler}
            ></Dialog>
          </Modal>
        </div>
      );
    
  }
  export function Dialog(props) {
    //console.log(props);
    let [textBoxValue, setTextBoxValue] = useState('');

    function handleTextValueChange(event)
    {
      let value = event.target.value;
      setTextBoxValue(value);
    }
    function handleKeyDown(event)
    {
      let characterCount  = textBoxValue.length;
      if(event.key === 'Escape')
      {
        setTextBoxValue("");
        
      }  
    } 
    return (
      <div
        className="modal1"
        role="dialog"
        style={{
          border: '1px solid green',
          height: '200px',
          width:'500px'
        }}
      >
        <div>
          Sample Input
          <input type="text" value={textBoxValue} onChange={handleTextValueChange} onKeyDown={handleKeyDown} ref={props.elementRef} key="exp1_text" />
          <button
            key="2"
            onClick={props.closeDialogReference}
            style={{
              float: 'right',
              cusrsor: 'pointer',
              position: 'relative',
              top: '-20px'
            }}
            role="closedialog2"
          >
            <b>X</b>
          </button>
          <p>
            <button
              key="4"
              style={{ cursor: 'pointer' }}
              onClick={props.toggleHandler}
              role="modalinitiatorwithoutoverlay"
            >
              Open Dialog Without Freeze{' '}
            </button>
          </p>
        </div>
  
        <br />
      </div>
    );
  }
  export function TopMostModal(props) {
  
      let withoutoverlayref = React.createRef();
      const freezeFn = useCallback((props)=> <FreezeLayer {...props}/>,[props.freezeLayer]);
      const focusDialogReference = useCallback(()=> {withoutoverlayref.current &&  withoutoverlayref.current.focus();},[withoutoverlayref]);
      const closeDialogReference  = useCallback(()=> {props.closeDialogReference()},[props.closeDialogReference]);
      const modalrootNode = useMemo(()=> document.getElementById('modal-root1'),["modal-root1"]);
      return (
        <div>
          <Modal
              {...props}
              freezeLayer ={freezeFn}
            modalname="modal3"
            modalrootNode={modalrootNode} 
            focusDialogReference={focusDialogReference} 
            closeDialogReference={closeDialogReference}
          >
            <DialogTwo
              elementRef={withoutoverlayref}
              closeDialogReference={closeDialogReference}
            ></DialogTwo>
          </Modal>
        </div>
      );
    
  }
  
export function DialogTwo(props) {
  return (
    <div
      className="modal2"
      role="dialog"
      style={{
        border: '1px solid yellow',
        height: '200px',
        width:'500px'
      }}
    >
      <div role="innercontainerforlastdialog">
        Last Dialog
        <input type="text" ref={props.elementRef} key="exp2_text" />
        <button
          key="22"
          onClick={props.closeDialogReference}
          style={{
            float: 'right',
            cusrsor: 'pointer',
            position: 'relative',
            top: '-20px'
          }}
          role="closedialog3"
        >
          <b>X</b>
        </button>
      </div>

      <br />
    </div>
  );
}

  
