import React from "react";
import ModalBehaviour from "./Modal.Behaviour";
import ModalSkeleton from "./Modal.skeleton";
import modalPropTypes, {
  defaultProps,
  propsDescription
} from "./Modal.propTypes";
import componentGroups from "../../docs-utils/componentGroups";
import componentCategories from "../../docs-utils/componentCategories";

export default function Modal(props) {
  return <ModalBehaviour {...props} renderComponent={ModalSkeleton} />;
}

Modal.defaultProps = defaultProps;
Modal.propTypes = modalPropTypes;
Modal.propsDescription = propsDescription;

if (__DOCS__) {
  Modal.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}
