import React from "react";
import MultiSelectBehaviour, {
  OptionBehaviour,
  SelectedOptionBehaviour
} from "./MultiSelect.behaviour";
import MultiSelectSkeleton, {
  OptionSkeleton,
  selectedOptionSkeleton
} from "./MultiSelect.skeleton";
import multiSelectPropTypes, {
  defaultProps,
  propsDescription
} from "./MultiSelect.propTypes";
import constantProps from "./MultiSelect.constantProps";
import componentCategories from "../../docs-utils/componentCategories";
import componentGroups from "../../docs-utils/componentGroups";

import ListItemPropTypes, { defaultProps as listItemDefaultProps, propsDescription as listItemPropsDescription } from "../listitem/ListItem.propTypes";
import ListItemConstants from "../listitem/ListItem.constantProps";

export default function MultiSelect(props) {
  return (
    <MultiSelectBehaviour {...props} renderComponent={MultiSelectSkeleton} />
  );
}

export function SelectedOption(props) {
  return (
    <SelectedOptionBehaviour
      {...props}
      renderComponent={selectedOptionSkeleton}
    />
  );
}

export function Option(props) {
  return <OptionBehaviour {...props} renderComponent={OptionSkeleton} />;
}
Option.displayName = "Option";
Option.propTypes = ListItemPropTypes;
Option.defaultProps = listItemDefaultProps;
Option.propsDescription = listItemPropsDescription;
Option.constantProps = ListItemConstants;

MultiSelect.propTypes = multiSelectPropTypes;
MultiSelect.defaultProps = defaultProps;
MultiSelect.propsDescription = propsDescription;
MultiSelect.constantProps = constantProps;

if (__DOCS__) {
  MultiSelect.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}
