import React from "react";
import MultiSelectWithSearchBehaviour, {
  OptionBehaviour,
  OptionSelectAllBehaviour
} from "./MultiSelectWithSearch.behaviour";
import MultiSelectWithSearchSkeleton, {
  OptionSkeleton,
  OptionSelectAllSkeleton
} from "./MultiSelectWithSearch.skeleton";
import multiSelectWithSearchPropTypes, {
  defaultProps,
  propsDescription
} from "./MultiSelectWithSearch.propTypes";
import constantProps from "../MultiSelect.constantProps";
import componentCategories from "../../../docs-utils/componentCategories";
import componentGroups from "../../../docs-utils/componentGroups";

export default function MultiSelectWithSearch(props) {
  return (
      <MultiSelectWithSearchBehaviour
          {...props}
          renderComponent={MultiSelectWithSearchSkeleton}
      />
  );
}

export function Option(props) {
  return <OptionBehaviour {...props} renderComponent={OptionSkeleton} />;
}
Option.displayName = "Option";

export function OptionSelectAll(props) {
  return (
      <OptionSelectAllBehaviour
          {...props}
          renderComponent={OptionSelectAllSkeleton}
      />
  );
}

MultiSelectWithSearch.propTypes = multiSelectWithSearchPropTypes;
MultiSelectWithSearch.defaultProps = defaultProps;
MultiSelectWithSearch.propsDescription = propsDescription;
MultiSelectWithSearch.constantProps = constantProps;

if (__DOCS__) {
  MultiSelectWithSearch.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}
