import React from "react";
import MultiSelectWithSearchBehaviour, {
  OptionBehaviour,
  OptionSelectAllBehaviour
} from "./MultiSelectWithTag.behaviour";
import MultiSelectWithSearchSkeleton, {
  OptionSkeleton,
  OptionSelectAllSkeleton
} from "./MultiSelectWithTag.skeleton";
import multiSelectWithTagPropTypes, {
  defaultProps,
  propsDescription
} from "./MultiSelectWithTag.propTypes";
import constantProps from "../MultiSelect.constantProps";
import componentCategories from "../../../docs-utils/componentCategories";
import componentGroups from "../../../docs-utils/componentGroups";

export default function MultiSelectWithTag(props) {
  return (
    <MultiSelectWithSearchBehaviour
      {...props}
      renderComponent={MultiSelectWithSearchSkeleton}
    />
  );
}

export function Option(props) {
  return <OptionBehaviour {...props} renderComponent={OptionSkeleton} />;
}
Option.displayName = "Option";

export function OptionSelectAll(props) {
  return (
    <OptionSelectAllBehaviour
      {...props}
      renderComponent={OptionSelectAllSkeleton}
    />
  );
}

MultiSelectWithTag.propTypes = multiSelectWithTagPropTypes;
MultiSelectWithTag.defaultProps = defaultProps;
MultiSelectWithTag.propsDescription = propsDescription;
MultiSelectWithTag.constantProps = constantProps;

if (__DOCS__) {
  MultiSelectWithTag.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}
