import React from "react";
// import MultiSelectWithSearch, {
//   Option,
//   OptionSelectAll
// } from "../MultiSelectWithSearch/MultiSelectWithSearch";
// import MultiSelectWithTag, {
//   Option
// } from "../MultiSelectWithTag/MultiSelectWithTag";
import MultiSelect, { Option } from "../MultiSelect";
import renderer from "react-test-renderer";
import constants from "../MultiSelect.constantProps";
describe("Multi Select component", () => {
  it("should default", () => {
    let ele = renderer.create(
      <MultiSelect>
        <Option value='One'>One</Option>
        <Option value='Two'>Two</Option>
        <Option value='Three'>Three</Option>
        <Option value='Four'>Four</Option>
        <Option value='Five'>Five </Option>
        <Option value='Six'> Six </Option>
      </MultiSelect>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  // variants
  it("should variant as contained", () => {
    let ele = renderer.create(
      <MultiSelect variant={constants.variant.contained}>
        <Option value='One'>One</Option>
        <Option value='Two'>Two</Option>
        <Option value='Three'>Three</Option>
        <Option value='Four'>Four</Option>
        <Option value='Five'>Five </Option>
        <Option value='Six'> Six </Option>
      </MultiSelect>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });

  it("should variant as outlined", () => {
    let ele = renderer.create(
      <MultiSelect variant={constants.variant.outlined}>
        <Option value='One'>One</Option>
        <Option value='Two'>Two</Option>
        <Option value='Three'>Three</Option>
        <Option value='Four'>Four</Option>
        <Option value='Five'>Five </Option>
        <Option value='Six'> Six </Option>
      </MultiSelect>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });

  it("should variant as plain", () => {
    let ele = renderer.create(
      <MultiSelect variant={constants.variant.plain}>
        <Option value='One'>One</Option>
        <Option value='Two'>Two</Option>
        <Option value='Three'>Three</Option>
        <Option value='Four'>Four</Option>
        <Option value='Five'>Five </Option>
        <Option value='Six'> Six </Option>
      </MultiSelect>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should variant as flushed", () => {
    let ele = renderer.create(
      <MultiSelect variant={constants.variant.flushed}>
        <Option value='One'>One</Option>
        <Option value='Two'>Two</Option>
        <Option value='Three'>Three</Option>
        <Option value='Four'>Four</Option>
        <Option value='Five'>Five </Option>
        <Option value='Six'> Six </Option>
      </MultiSelect>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  //color
  it("should color as danger", () => {
    let ele = renderer.create(
      <MultiSelect color={constants.color.danger}>
        <Option value='One'>One</Option>
        <Option value='Two'>Two</Option>
        <Option value='Three'>Three</Option>
        <Option value='Four'>Four</Option>
        <Option value='Five'>Five </Option>
        <Option value='Six'> Six </Option>
      </MultiSelect>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should color as secondary", () => {
    let ele = renderer.create(
      <MultiSelect color={constants.color.secondary}>
        <Option value='One'>One</Option>
        <Option value='Two'>Two</Option>
        <Option value='Three'>Three</Option>
        <Option value='Four'>Four</Option>
        <Option value='Five'>Five </Option>
        <Option value='Six'> Six </Option>
      </MultiSelect>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should color as success", () => {
    let ele = renderer.create(
      <MultiSelect color={constants.color.success}>
        <Option value='One'>One</Option>
        <Option value='Two'>Two</Option>
        <Option value='Three'>Three</Option>
        <Option value='Four'>Four</Option>
        <Option value='Five'>Five </Option>
        <Option value='Six'> Six </Option>
      </MultiSelect>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should color as primary", () => {
    let ele = renderer.create(
      <MultiSelect color={constants.color.primary}>
        <Option value='One'>One</Option>
        <Option value='Two'>Two</Option>
        <Option value='Three'>Three</Option>
        <Option value='Four'>Four</Option>
        <Option value='Five'>Five </Option>
        <Option value='Six'> Six </Option>
      </MultiSelect>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  // sizes
  it("should size as small", () => {
    let ele = renderer.create(
      <MultiSelect size={constants.size.small}>
        <Option value='One'>One</Option>
        <Option value='Two'>Two</Option>
        <Option value='Three'>Three</Option>
        <Option value='Four'>Four</Option>
        <Option value='Five'>Five </Option>
        <Option value='Six'> Six </Option>
      </MultiSelect>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should size as medium", () => {
    let ele = renderer.create(
      <MultiSelect size={constants.size.medium}>
        <Option value='One'>One</Option>
        <Option value='Two'>Two</Option>
        <Option value='Three'>Three</Option>
        <Option value='Four'>Four</Option>
        <Option value='Five'>Five </Option>
        <Option value='Six'> Six </Option>
      </MultiSelect>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should size as large", () => {
    let ele = renderer.create(
      <MultiSelect size={constants.size.large}>
        <Option value='One'>One</Option>
        <Option value='Two'>Two</Option>
        <Option value='Three'>Three</Option>
        <Option value='Four'>Four</Option>
        <Option value='Five'>Five </Option>
        <Option value='Six'> Six </Option>
      </MultiSelect>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should size as xLarge", () => {
    let ele = renderer.create(
      <MultiSelect size={constants.size.xLarge}>
        <Option value='One'>One</Option>
        <Option value='Two'>Two</Option>
        <Option value='Three'>Three</Option>
        <Option value='Four'>Four</Option>
        <Option value='Five'>Five </Option>
        <Option value='Six'> Six </Option>
      </MultiSelect>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should size as stretch", () => {
    let ele = renderer.create(
      <MultiSelect size={constants.size.stretch}>
        <Option value='One'>One</Option>
        <Option value='Two'>Two</Option>
        <Option value='Three'>Three</Option>
        <Option value='Four'>Four</Option>
        <Option value='Five'>Five </Option>
        <Option value='Six'> Six </Option>
      </MultiSelect>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  // shape
  it("should shape as rounded", () => {
    let ele = renderer.create(
      <MultiSelect shape={constants.shape.rounded}>
        <Option value='One'>One</Option>
        <Option value='Two'>Two</Option>
        <Option value='Three'>Three</Option>
        <Option value='Four'>Four</Option>
        <Option value='Five'>Five </Option>
        <Option value='Six'> Six </Option>
      </MultiSelect>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should shape as oval", () => {
    let ele = renderer.create(
      <MultiSelect shape={constants.shape.oval}>
        <Option value='One'>One</Option>
        <Option value='Two'>Two</Option>
        <Option value='Three'>Three</Option>
        <Option value='Four'>Four</Option>
        <Option value='Five'>Five </Option>
        <Option value='Six'> Six </Option>
      </MultiSelect>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should shape as stretch", () => {
    let ele = renderer.create(
      <MultiSelect shape={constants.shape.rectangle}>
        <Option value='One'>One</Option>
        <Option value='Two'>Two</Option>
        <Option value='Three'>Three</Option>
        <Option value='Four'>Four</Option>
        <Option value='Five'>Five </Option>
        <Option value='Six'> Six </Option>
      </MultiSelect>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });

  // multiselect search
  // it("should MultiSelect With Search", () => {
  //   let ele = renderer.create(
  //     <MultiSelectWithSearch>
  //       <OptionSelectAll>Select-All</OptionSelectAll>
  //       <Option value='One'>One</Option>
  //       <Option value='Two'>Two</Option>
  //       <Option value='Three'>Three</Option>
  //       <Option value='Four'>Four</Option>
  //       <Option value='Five'>Five </Option>
  //       <Option value='Six'> Six </Option>
  //     </MultiSelectWithSearch>
  //   );
  //   let tree = ele.toJSON();
  //   expect(tree).toMatchSnapshot();
  // });

  // // multiselect Tag
  // it("should MultiSelect With Search", () => {
  //   let ele = renderer.create(
  //     <MultiSelectWithTag>
  //       <Option value='One'>One</Option>
  //       <Option value='Two'>Two</Option>
  //       <Option value='Three'>Three</Option>
  //       <Option value='Four'>Four</Option>
  //       <Option value='Five'>Five </Option>
  //       <Option value='Six'> Six </Option>
  //     </MultiSelectWithTag>
  //   );
  //   let tree = ele.toJSON();
  //   expect(tree).toMatchSnapshot();
  // });
});
