import React from 'react';
import NotificationBadgeBehaviour from './NotificationBadge.behaviour';
import NotificationBadgeSkeleton from './NotificationBadge.skeleton';
import NotificationBadgePropTypes, { defaultProps, propsDescription } from './NotificationBadge.propTypes';
import componentGroups from '../../docs-utils/componentGroups';
import componentCategories from '../../docs-utils/componentCategories';
import constantProps from './NotificationBadge.constantProps';

export default function NotificationBadge(props) {
  return <NotificationBadgeBehaviour {...props} renderComponent={NotificationBadgeSkeleton} />;
}

NotificationBadge.propTypes = NotificationBadgePropTypes;
NotificationBadge.defaultProps = defaultProps;
NotificationBadge.propsDescription = propsDescription;
NotificationBadge.constantProps = constantProps;

if (__DOCS__) {
  NotificationBadge.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}
