import React from "react";
import PaginationBehaviour from "./Pagination.behaviour";
import PaginationSkeleton from "./Pagination.skeleton";
import PaginationPropTypes, {
  defaultProps,
  propsDescription
} from "./Pagination.propTypes";
import componentCategories from "../../docs-utils/componentCategories";
import componentGroups from "../../docs-utils/componentGroups";

export default function Pagination(props) {
  return (
    <PaginationBehaviour {...props} renderComponent={PaginationSkeleton} />
  );
}

Pagination.propTypes = PaginationPropTypes;
Pagination.defaultProps = defaultProps;
Pagination.propsDescription = propsDescription;
if (__DOCS__) {
  Pagination.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}
