import React from "react";
import Pagination from "../Pagination";
import renderer from "react-test-renderer";
import BoxConstantProps from "../../layout/Box.constantProps";
describe("Pagination component", () => {
  it("should default", () => {
    let ele = renderer.create(
      <Pagination
        options={[
          { name: "1", id: 1 },
          { name: "2", id: 2 },
          { name: "3", id: 3 }
        ]}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });

  it("should align right", () => {
    let ele = renderer.create(
      <Pagination
        justifyContent={BoxConstantProps.justifyContent.end}
        options={[
          { name: "1", id: 1 },
          { name: "2", id: 2 },
          { name: "3", id: 3 }
        ]}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });

  it("should align left", () => {
    let ele = renderer.create(
      <Pagination
        justifyContent={BoxConstantProps.justifyContent.start}
        options={[
          { name: "1", id: 1 },
          { name: "2", id: 2 },
          { name: "3", id: 3 }
        ]}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });

  it("should align between", () => {
    let ele = renderer.create(
      <Pagination
        justifyContent={BoxConstantProps.justifyContent.between}
        options={[
          { name: "1", id: 1 },
          { name: "2", id: 2 },
          { name: "3", id: 3 }
        ]}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });

  it("should align around", () => {
    let ele = renderer.create(
      <Pagination
        justifyContent={BoxConstantProps.justifyContent.around}
        options={[
          { name: "1", id: 1 },
          { name: "2", id: 2 },
          { name: "3", id: 3 }
        ]}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });

  it("should previous and next button view", () => {
    let ele = renderer.create(
      <Pagination
        isPrevious={true}
        isNext={true}
        options={[
          { name: "1", id: 1 },
          { name: "2", id: 2 },
          { name: "3", id: 3 }
        ]}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });

  it("should functionality", () => {
    let ele = renderer.create(
      <Pagination
        isPrevious={true}
        isNext={true}
        options={[
          { name: "1", id: 1 },
          { name: "2", id: 2 },
          { name: "3", id: 3 }
        ]}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
});
