import React from "react";
import RadioGroup,{ Radio,RadioGroupContext } from "../RadioGroup";
import renderer from "react-test-renderer";
import radioConstant,{ RadioGroupConstant } from "../RadioGroup.constantProps";
import { create, act } from "react-test-renderer";

describe("RadioGroup component", () => {
    //direction
    it("should display the RadioGroup direction the horizontal", () => {
        let ele = renderer.create(
        <RadioGroup direction={RadioGroupConstant.direction.horizontal} name='horizontalGroup'>
            <Radio
            text= {radioConstant.variant.inner}
            color={radioConstant.color.primary}
            variant={radioConstant.variant.inner}
            />
            <Radio
            text= {radioConstant.variant.inner}
            color={radioConstant.color.primary}
            variant={radioConstant.variant.inner}
            />
        </RadioGroup>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the RadioGroup direction the vertical", () => {
        let ele = renderer.create(
        <RadioGroup direction={RadioGroupConstant.direction.vertical} name='verticalGroup'>
            <Radio
            text= {radioConstant.variant.inner}
            color={radioConstant.color.primary}
            variant={radioConstant.variant.inner}
            
            />
            <Radio
            text= {radioConstant.variant.inner}
            color={radioConstant.color.primary}
            variant={radioConstant.variant.inner}
            />
        </RadioGroup>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    //colors
    it("should display the RadioGroup color the primary", () => {
        let ele = renderer.create(
        <RadioGroup name='primaryGroup'>
            <Radio
            text= {radioConstant.color.primary}
            color={radioConstant.color.primary}
            />
            <Radio
            text= {radioConstant.color.primary}
            color={radioConstant.color.primary}
            />
        </RadioGroup>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the RadioGroup color the danger", () => {
        let ele = renderer.create(
        <RadioGroup name='dangerGroup'>
            <Radio
            text= {radioConstant.color.danger}
            color={radioConstant.color.danger}
            />
            <Radio
            text= {radioConstant.color.danger}
            color={radioConstant.color.danger}
            />
        </RadioGroup>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    //variant
    it("should display the RadioGroup variant the inner", () => {
        let ele = renderer.create(
        <RadioGroup name='innerGroup'>
            <Radio
            text= {radioConstant.variant.inner}
            variant={radioConstant.variant.inner}
            />
            <Radio
            text= {radioConstant.variant.inner}
            variant={radioConstant.variant.inner}
            />
        </RadioGroup>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the RadioGroup variant the outer", () => {
        let ele = renderer.create(
        <RadioGroup name='outerGroup'>
            <Radio
            text= {radioConstant.variant.outer}
            variant={radioConstant.variant.outer}
            />
            <Radio
            text= {radioConstant.variant.outer}
            variant={radioConstant.variant.outer}
            />
        </RadioGroup>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    //sizes
    it("should display the RadioGroup size the small", () => {
        let ele = renderer.create(
        <RadioGroup name='smallGroup'>
            <Radio
            text= {radioConstant.size.small}
            size={radioConstant.size.small}
            />
            <Radio
            text= {radioConstant.size.small}
            size={radioConstant.size.small}
            />
        </RadioGroup>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the RadioGroup size the medium", () => {
        let ele = renderer.create(
        <RadioGroup name='mediumGroup'>
            <Radio
            text= {radioConstant.size.medium}
            size={radioConstant.size.medium}
            />
            <Radio
            text= {radioConstant.size.medium}
            size={radioConstant.size.medium}
            />
        </RadioGroup>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the RadioGroup size the large", () => {
        let ele = renderer.create(
        <RadioGroup name='largeGroup'>
            <Radio
            text= {radioConstant.size.large}
            size={radioConstant.size.large}
            />
            <Radio
            text= {radioConstant.size.large}
            size={radioConstant.size.large}
            />
        </RadioGroup>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the RadioGroupContext direction the horizontal", () => {
        let ele = renderer.create(
        <RadioGroupContext direction={RadioGroupConstant.direction.horizontal} name='contextHorizontalGroup'>
            <Radio
            text= {radioConstant.variant.inner}
            color={radioConstant.color.primary}
            variant={radioConstant.variant.inner}
            />
            <Radio
            text= {radioConstant.variant.inner}
            color={radioConstant.color.primary}
            variant={radioConstant.variant.inner}
            />
        </RadioGroupContext>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the RadioGroupContext direction the vertical", () => {
        let ele = renderer.create(
        <RadioGroupContext direction={RadioGroupConstant.direction.vertical} name='contextVerticalGroup'>
            <Radio
            text= {radioConstant.variant.inner}
            color={radioConstant.color.primary}
            variant={radioConstant.variant.inner}
            
            />
            <Radio
            text= {radioConstant.variant.inner}
            color={radioConstant.color.primary}
            variant={radioConstant.variant.inner}
            />
        </RadioGroupContext>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });


    it("should display the RadioGroupContext onchange props", () => {
        const mockFunction1 = jest.fn();
        const mockFunction2 = jest.fn();
        let ele = renderer.create(
        <RadioGroupContext direction={RadioGroupConstant.direction.vertical} name='contextVerticalGroup' onChange={mockFunction1}>
            <Radio
            text= {radioConstant.variant.inner}
            color={radioConstant.color.primary}
            variant={radioConstant.variant.inner}
            onChange={mockFunction2}
            />
            <Radio
            text= {radioConstant.variant.inner}
            color={radioConstant.color.primary}
            variant={radioConstant.variant.inner}
            />
        </RadioGroupContext>
        );
        ele.root.props.onChange()
        ele.root.props.children[0].props.onChange()
        expect(mockFunction1).toHaveBeenCalled();
        expect(mockFunction2).toHaveBeenCalled();
    });

    it("should display the RadioGroup onchange props", () => {
        const mockFunction1 = jest.fn();
        const mockFunction2 = jest.fn();
        let ele = renderer.create(
        <RadioGroup direction={RadioGroupConstant.direction.vertical} name='contextVerticalGroup' onChange={mockFunction1}>
            <Radio
            text= {radioConstant.variant.inner}
            color={radioConstant.color.primary}
            variant={radioConstant.variant.inner}
            onChange={mockFunction2}
            value='group1'
            />
            <Radio
            text= {radioConstant.variant.inner}
            color={radioConstant.color.primary}
            variant={radioConstant.variant.inner}
            value='group2'
            />
        </RadioGroup>
        );
        ele.root.props.onChange()
        ele.root.props.children[0].props.onChange()
        expect(mockFunction1).toHaveBeenCalled();
        expect(mockFunction2).toHaveBeenCalled();
    });

    it("should render Radio in disabled mode", () => {
        let ele = renderer.create(
        <RadioGroupContext direction={RadioGroupConstant.direction.vertical} name='disabledGroup'>
            <Radio
            text= {radioConstant.variant.inner}
            color={radioConstant.color.primary}
            variant={radioConstant.variant.inner}
            disabled
            />
            <Radio
            text= {radioConstant.variant.inner}
            color={radioConstant.color.primary}
            variant={radioConstant.variant.inner}
            disabled
            />
        </RadioGroupContext>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
});



