import React from 'react';
import { DocsTabsViewer } from '@zohodesk/docs';
import RadioGroup, { RadioGroupContext, Radio } from '../RadioGroup';
import RadioGroupDocConfig from './RadioGroup.model.docConfig';
import componentCategories from '../../../docs-utils/componentCategories';
import componentGroups from '../../../docs-utils/componentGroups';

export default function RadioGroup__Model(props) {
  return (
    <DocsTabsViewer
      docConfig={RadioGroupDocConfig}
      componentType={RadioGroup}
      components={{ RadioGroup, RadioGroupContext, Radio }}
      {...props}
    />
  );
}

if (__DOCS__) {
  RadioGroup__Model.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}
