import React from "react";
import RadioGroup, { Radio, RadioGroupContext } from "../RadioGroup";
import componentCategories from "../../../docs-utils/componentCategories";
import componentGroups from "../../../docs-utils/componentGroups";
import style from "../RadioGroup.module.css";

class RadioGroup__default extends React.Component {
  constructor(props) {
    super(props);
    this.onSelect = this.onSelect.bind(this);
    this.state = { selectedValue: "red", headingChange: false };
  }

  onSelect(value, e) {
    this.setState({ selectedValue: value });
  }

  myGroupOnChange(value, ev) {
    console.log("myGroupOnChange", value, ev);
  }

  myRadioOnChange(value, ev) {
    console.log("state new....");
    console.log("myRadioOnChange", value, ev);
  }

  myGroupOnChangeContext(value, ev) {
    console.log("myGroupOnChange", value, ev);
  }

  myRadioOnChangeContext(value, ev) {
    console.log("state new....");
    console.log("myRadioOnChange", value, ev);
  }

  render() {
    return (
      <div style={{ margin: "50px" }}>
        {/* <RadioGroup name="colours1" defaultValue="green" onChange={this.myGroupOnChange}>
            <Radio text="Red" value="red" onChange={this.myRadioOnChange}/>
            <Radio text="Green" value="green" disabled />
            <Radio text="Yellow" value="yellow" />
          </RadioGroup>


          <RadioGroup name="colours2" selectedValue={this.state.selectedValue} onChange={this.onSelect}>
            <Radio text="Red" value="red" />
            <Radio text="Green" value="green" />
            <Radio text="Yellow" value="yellow" />
            <Radio text="Blue" value="blue" />
          </RadioGroup> */}

        <RadioGroupContext
          name='colours3'
          onChange={this.myGroupOnChangeContext}>
          <Radio
            text='Red'
            value='red'
            onChange={this.myRadioOnChangeContext}
          />
          <Radio text='Green' value='green' />
          <Radio text='Yellow' value='yellow' />
          <Radio text='Blue' value='blue' />
        </RadioGroupContext>

        <RadioGroupContext
          name='colours4'
          selectedValue={this.state.selectedValue}
          onChange={this.onSelect}>
          <Radio text='Red' value='red' />
          <Radio text='Green' value='green' />
          <Radio text='Yellow' value='yellow' />
          <Radio text='Blue' value='blue' />
        </RadioGroupContext>
      </div>
    );
  }
}

if (__DOCS__) {
  RadioGroup__default.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}
export default RadioGroup__default;
