import React from "react";
import SelectBehaviour, { OptionBehaviour } from "./Select.behaviour";
import SelectSkeleton, { OptionSkeleton } from "./Select.skeleton";
import selectPropTypes, {
  defaultProps,
  propsDescription
} from "./Select.propTypes";
import constantProps from "./Select.constantProps";
import componentCategories from "../../docs-utils/componentCategories";
import componentGroups from "../../docs-utils/componentGroups";

export default function Select(props) {
  return <SelectBehaviour {...props} renderComponent={SelectSkeleton} />;
}

export function Option(props) {
  return <OptionBehaviour {...props} renderComponent={OptionSkeleton} />;
}

Select.propTypes = selectPropTypes;
Select.defaultProps = defaultProps;
Select.propsDescription = propsDescription;
Select.constantProps = constantProps;

if (__DOCS__) {
  Select.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}
