import React from "react";
import SelectWithSearchBehaviour from "./SelectWithSearch.behaviour";
import SelectWithSearchSkeleton from "./SelectWithSearch.skeleton";
import selectPropTypes, { defaultProps , propsDescription, constantProps } from "./SelectWithSearch.propTypes";
import componentCategories from "../../../docs-utils/componentCategories";
import componentGroups from "../../../docs-utils/componentGroups";

export default function SelectWithSearch(props) {
  return (
    <SelectWithSearchBehaviour
      {...props}
      renderComponent={SelectWithSearchSkeleton}
    />
  );
}


SelectWithSearch.propTypes = selectPropTypes;
SelectWithSearch.defaultProps = defaultProps;
SelectWithSearch.propsDescription = propsDescription;
SelectWithSearch.constantProps = constantProps;

if (__DOCS__) {
  SelectWithSearch.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}
