import React, { useState, useEffect } from "react";
import Select, { Option } from "../Select";
import componentCategories from "../../../docs-utils/componentCategories";
import componentGroups from "../../../docs-utils/componentGroups";
import useSelectAriaProps from "../controllers/useSelectAriaProps";
import useButtonAriaProps from "../../deprecated/button/useButtonAriaProps";
import RestoreFocus from "../../focusscope/FocusScope";
import style from "../Select.module.css";
import ListItem, { ListBox } from "../../listitem/ListItem";
import ListItemConstantProps from "../../listitem/ListItem.constantProps";

import SelectPropTypes from "../Select.propTypes";
function SelectComponent(props) {
  let [valToggle, toggleState] = useState(false);
  let elementRef = React.createRef(null);
  let [selected, setSelected] = useState("value two");
  let [selectedIndex, setSelectedIndex] = useState(2);
  let {
    triggerProps,
    labelProps,
    valueProps,
    menuProps,
    menuItemProps
  } = useSelectAriaProps(props, "", {
    focus: true,
    wrap: true,
    activecss: style.focus
  });

  let togglePopup = () => {
    toggleState((valToggle) => !valToggle);
  };

  let handleSelect = (label, index) => {
    setSelected(() => label);
    toggleState(false);
    setSelectedIndex(() => index);
  };

  let values = [
    "value one",
    "value two",
    "value three",
    "value four",
    "value five",
    "value six",
    "value seven",
    "value eight"
  ];
  labelProps = labelProps();
  triggerProps = triggerProps();
  valueProps = valueProps();
  menuProps = menuProps();

  let { buttonProps } = useButtonAriaProps({
    ...triggerProps,
    elementType: "span"
  });
  // <div style={{display : valToggle ? 'block' : 'none' }}>
  return (
    <div>
      {/*<--apply label props-->*/}
      <div {...labelProps}> Choose on Element</div>

      {/*<--apply triggerProps && valueProps -->*/}
      <span {...buttonProps} {...valueProps} onClick={togglePopup}>
        {" "}
        {selected}{" "}
      </span>
      {valToggle && (
        <RestoreFocus getElementRef={elementRef}>
          {/*<--apply menuProps -->*/}
          <div {...menuProps} ref={elementRef}>
            {/* {
              values.map((label,index)=>{
                let active = label === selected;
                let { itemId,...menuItemProp } = menuItemProps({active,id:index+1})
                
                return <div {...menuItemProp} className={active ? style.focus2 : ''} onClick={onSelect.bind(null,label,itemId)}> { label }</div>
              })
            } */}

            {React.Children.map(props.children, (child) => {
              return React.cloneElement(child, {
                onSelect: props.onSelect.bind(this, child.props.id),
                togglePopup: togglePopup,
                menuItemProps: menuItemProps
              });
            })}
          </div>
        </RestoreFocus>
      )}
    </div>
  );
}

function Option1(props) {
  let { children, onSelect, active, menuItemProps, togglePopup } = props;
  let { itemId, ...menuItemProp } = menuItemProps(props, {
    focus: true,
    wrap: true,
    activecss: style.focus
  });

  let handleSelect = (value) => {
    togglePopup && togglePopup();
    onSelect && onSelect();
  };
  return (
    <div
      {...menuItemProp}
      className={active ? style.focus2 : ""}
      onClick={handleSelect}>
      {" "}
      {children}
    </div>
  );
}

export default function Select__default(props) {
  let [selectedId, setSelectedId] = useState("blue");

  let values = [
    "value one",
    "value two",
    "value three",
    "value four",
    "value five",
    "value six",
    "value seven",
    "value eight"
  ];

  let dataDd = [
    { id: "red", value: "Red" },
    { id: "blue", value: "Blue" },
    { id: "green", value: "Green" }
  ];

  let selectedValue = "Green";
  let handleSelect = (value, e) => {
    setSelectedId(value);
    console.log(e.target);
    //api
  };

  return (
    <div style={{ padding: "0 20px 50px 20px" }}>
      <br />
      {/* <SelectComponent onSelect={ (id)=>setSelectedId(id) }>
          {
            dataDd.map((items,index)=>{
              let {id,value} = items;
              let active = id === selectedId ? true : false
              return <Option1 key={index} id={id} active={active}> { value } </Option1>
            })
          }
      </SelectComponent> */}
      <br />
      <div>Selected value </div>
      <Select onChange={handleSelect} selectedValue={selectedId}>
        <Option value='red'>Red</Option>
        <Option
          value='green'
          onChange={(value) => {
            console.log(value, "option");
          }}>
          Green &#9824;{" "}
        </Option>
        <Option value='blue' disabled>
          Blue
        </Option>
        <Option value='yellow'>
          {" "}
          <span style={{ padding: "20px", display: "inline-block" }}>
            Yellow &#9830;{" "}
          </span>{" "}
        </Option>
        <Option value='orange'>Orange &#9827; </Option>
        <Option value='rose'> Rose &#9829; </Option>
      </Select>

      {/* <br />
      <div>Customize value</div>
      <Select
        onChange={handleSelect}
        selectedValue={selectedId}
        renderSelectedValue={(value) => {
          let convertValue = value ? value.toUpperCase() : "";
          return <div>Customize value is :{convertValue}</div>;
        }}>
        <Option value='red'>Red</Option>
        <Option value='green'>Green &#9824; </Option>
        <Option value='blue' disabled>
          Blue
        </Option>
        <Option value='yellow'> Yellow &#9830; </Option>
        <Option value='orange'>Orange &#9827; </Option>
        <Option value='rose'> Rose &#9829; </Option>
      </Select> */}

      {/* LabelOption
      Option
      AvatarOption */}

      {/* <br />
      <SelectComponent/>
      <br />
      <SelectComponent/>
      <br />
      <SelectComponent/> */}

      {/* <div >variant</div>
      <br />
      <Select optionvalues={values} />
      <br />
      <Select optionvalues={values} variant="primary" />
      <br />
      <Select optionvalues={values} variant="mandatory" />
      <br />
      <br />
      <div>Style</div>
      <br />
      <Select optionvalues={values} />
      <br />
      <Select optionvalues={values} fieldStyle="line" />
      <br />
      <Select optionvalues={values} fieldStyle="no-border" />
      <br />
      <Select optionvalues={values} fieldStyle="rounded-corner" />
      <br />
      <br />
      <div>Size</div>
      <br />
      <Select optionvalues={values} size="sm" />
      <br />
      <Select optionvalues={values} size="md" />
      <br />
      <Select optionvalues={values} size="lg" />
      <br />
      <br />
      <div>Disabled</div>
      <br />
      <Select disabled={true} />
      <br /> */}
    </div>
  );
}

if (__DOCS__) {
  Select__default.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}
