import React from "react";
import PropTypes from "prop-types";
import styles from "./Tab.module.css";

import TabContainerBehaviour, {
  TabBarBehaviour,
  TabBarNavLineBehaviour,
  TabContextBehaviour,
  TabPanelBehaviour,
  TabBehaviour,
  TabContentBehaviour
} from "./TabContainer.behaviour";

import componentGroups from "../../docs-utils/componentGroups";
import componentCategories from "../../docs-utils/componentCategories";

import TabContainerSkeleton, {
  TabContext as TabContextSkeleton,
  TabBar as TabBarSkeleton,
  TabBarNavLine as TabBarNavLineSkeleton,
  Tab as TabSkeleton,
  TabContent as TabContentSkeleton,
  TabPanel as TabPanelSkeleton
} from "./TabContainer.skeleton";

export default function TabContext(props) {
  return (
    <TabContextBehaviour {...props} renderComponent={TabContextSkeleton} />
  );
}

export function TabContainer(props) {
  return (
    <TabContainerBehaviour {...props} renderComponent={TabContainerSkeleton} />
  );
}

export function TabBar(props) {
  return <TabBarBehaviour {...props} renderComponent={TabBarSkeleton} />;
}

export function TabBarNavLine(props) {
  return (
    <TabBarNavLineBehaviour
      {...props}
      renderComponent={TabBarNavLineSkeleton}
    />
  );
}

export function Tab(props) {
  return <TabBehaviour {...props} renderComponent={TabSkeleton} />;
}
if (__DOCS__) {
  Tab.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}
export function TabContent(props) {
  return (
    <TabContentBehaviour {...props} renderComponent={TabContentSkeleton} />
  );
}

export function TabPanel(props) {
  return <TabPanelBehaviour {...props} renderComponent={TabPanelSkeleton} />;
}
