import React, { useState, useEffect } from 'react';
import TabContext, { TabContainer, TabBar, TabBarNavLine, Tab, TabContent, TabPanel } from '../Tab';
import useTabAriaProps from '../useTabAriaProps';

import componentCategories from '../../../docs-utils/componentCategories';
import componentGroups from '../../../docs-utils/componentGroups';

/*{
   <TabContainer defaultTab='first-1' isManual onChange={()=>{}}>

  <div>

  <TabBar defaultTab='first-1' onChange={()=>{}} aria-label='model-tab' orientation="vertical">
    <Tab id='first-1' icon={<PhoneIcon />} label="First" iconPosition="start">First</Tab>
    <Tab id='second-2' disabled>Second</Tab>
    <Tab id='third-3'>Third</Tab>
  </TabBar>

  <search></>
  </div>
  <></>
  <TabContent>
    <TabPanel id='first-1'> First-Panel </TabPanel>
    <TabPanel id='second-2'> Second-Panel </TabPanel>
    <TabPanel id='third-3'> Third-Panel </TabPanel>
  </TabContent>


</TabContainer>  
}*/

function Tab__default(props) {
  let [state, selectedTabSet] = useState('third-3');

  let [selectedTab, setSelectedTab] = useState(2);
  let { tabListProps, tabProps, tabPanelProps, focusFirst } = useTabAriaProps(props, {
    wrap: true,
    focus: true,
    keyName: {
      left: ['a', 'shift+arrowleft'],
      right: ['d', 'shift+arrowright'],
      up: ['w', 'shift+arrowup'],
      down: ['s', 'shift+arrowdown']
    }
  });
  let tabsArr = ['First-Tab', 'Second-Tab', 'Third-Tab'];
  let tabsPanel = ['Content for the first panel', 'Content for the second panel', 'Content for the third panel'];
  let handleTab = (itemId) => {
    setSelectedTab(() => itemId);
    //focusFirst(itemId)
  };
  // useEffect(()=>{
  //   focusFirst(selectedTab)
  // },[selectedTab])

  tabListProps = tabListProps(props);
  //tabpanelProps = tabpanelProps(props);

  return (
    <div style={{ padding: '0 20px 50px 20px', margin: '100px' }}>
      {/* <div tabindex='0' role='button' id='type1' aria-label='red' >Red</div>
      <div tabindex='0' role='button' id='type2' >blue</div>
      <span  tabindex='0' role='button' aria-labelledby='type1 type2'>color</span> */}

      {/*Tab component*/}
      {/* <div class="tabs">

        <div {...tablistProps} style={{marginBottom:'30px'}}>
          {
            tabsArr.map((name,index)=>{
              let active = index+1 === selectedTab;
              let {itemId,...dataAriaItem} = tabProps({active,index});
              
              //let { dataAriaItem } = getItemProps(index)
              return <div {...dataAriaItem} className={active ? style.focus : undefined} onClick={handleTab.bind(null,index+1)}>
                        {name}
                    </div>
            })
          }
        </div>
        {
          tabsPanel.map((content,index)=>{
            let { ...tabpanelprops } = tabpanelProps({index})
            //console.log(...tabpanelprops,'tabpanelprops');
            
            return  <div {...tabpanelprops} >
                      <p>{ content }</p>
                    </div>
          })
        }

      </div> */}

      {/* 
            <TabLabel value='first-1' label='First' />
            <TabLabel value='second-2' label='Second' />
            <TabLabel value='third-3' label='Third' />

            <TabWithIcon value='first-1' label='First' />
            <TabWithIcon value='second-2' label='Second' />
            <TabWithIcon value='third-3' label='Third' /> */}

      <TabContext
        defaultValue='second-2'
        onChange={(value) => {
          console.log(value);
        }}
        wrapper={() => {}}
      >
        <div>
          <div>
            <TabBarNavLine wrapper={() => {}} ariaLabel='tab123'>
              <Tab value='second-2'>Second</Tab>
              <Tab value='third-3'>Third</Tab>
              <Tab value='four-4'>Four</Tab>
            </TabBarNavLine>
          </div>
        </div>

        <TabContent wrapper={() => {}}>
          <TabPanel value='second-2'> Second-Panel </TabPanel>
          <TabPanel value='third-3'> Third-Panel </TabPanel>
          <TabPanel value='four-4'>Four-Panel</TabPanel>
        </TabContent>
      </TabContext>

      <TabContainer
        selectedValue={state}
        onChange={(value) => {
          selectedTabSet(value);
          console.log(value);
        }}
        customClassName={{ tabContainer: 'class-TabContainer' }}
      >
        <div>{'sudalai-solve'}</div>
        <TabBar customClassName={{ tabBar: 'class-TabBar' }}>
          <Tab value='first-1'>First </Tab>
          <Tab value='second-2'>Second</Tab>
          <Tab value='third-3'>Third</Tab>
        </TabBar>

        <TabContent>
          <TabPanel value='first-1'> First-Panel </TabPanel>
          <TabPanel value='second-2'> Second-Panel </TabPanel>
          <TabPanel value='third-3'> Third-Panel </TabPanel>
        </TabContent>
      </TabContainer>

      <TabContainer
        defaultValue='second-2'
        onChange={(value) => {
          console.log(value);
        }}
        customClassName={{ tabContainer: 'class-TabContainer' }}
      >
        <TabBarNavLine customClassName={{ tabBar: 'class-TabBar' }}>
          <Tab value='first-1'>First </Tab>
          <Tab value='second-2'>Second</Tab>
          <Tab value='third-3' customClassName={{ selected: 'tab-select' }}>
            Third
          </Tab>
        </TabBarNavLine>

        <TabContent>
          <TabPanel value='first-1'> First-Panel </TabPanel>
          <TabPanel value='second-2'> Second-Panel </TabPanel>
          <TabPanel value='third-3'> Third-Panel </TabPanel>
        </TabContent>
      </TabContainer>

      {/*Tab component*/}

      {/* <br />
      <div>Variant</div>
      <br />
      <Tab />
      <br />
      <Tab variant="cardType" />
      <br />
      <Tab variant="cardType"  disabled={true} />
      <br />
      <Tab align="center" />
      <br />
      <Tab align="right" />
      <br />
      <div>Size</div>
      <br />
      <Tab size="small" />
      <br />
      <Tab />
      <br />
      <Tab size="large" />
      <br />
      <div>With Icon</div>
      <br />
      <Tab startIcon={true} />
      <br />
      <Tab endIcon={true} />
      <br />
      <div>With Action Button</div>
      <br />
      <Tab leftAction={true} />
      <br />
      <Tab rightAction={true} />
      <br /> */}
    </div>
  );
}

export default Tab__default;

if (__DOCS__) {
  Tab__default.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}

Tab__default.defaultProps = {
  ariaLabel: 'sdcsdcsdc',
  ariaLabelledby: '1234ariaLabelledby'
};
