import React from "react";
import TextBehaviour from "./Text.behaviour";
import TextSkeleton from "./Text.skeleton";
import textPropTypes, {
  defaultProps,
  propsDescription
} from "./Text.propTypes";
import constantProps from "./Text.constantProps";
import componentCategories from "../../docs-utils/componentCategories";
import componentGroups from "../../docs-utils/componentGroups";

export default function Text(props) {
  return <TextBehaviour {...props} renderComponent={TextSkeleton} />;
}

Text.propTypes = textPropTypes;
Text.defaultProps = defaultProps;
Text.propsDescription = propsDescription;
Text.constantProps = constantProps;

if (__DOCS__) {
  Text.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}
