import React from "react";
import Textarea, { TextareaControlled } from "../Textarea";
import componentCategories from "../../../docs-utils/componentCategories";
import componentGroups from "../../../docs-utils/componentGroups";
import { TextareaControlledExample } from "./Textarea.example1";

const ParentComponent = (props) => {
  let [myText, setText] = React.useState("Karups");

  return (
    <div>
      {props.component(myText)}
      <button
        onClick={() => {
          setText("karups");
        }}>
        {" "}
        API Versioning{" "}
      </button>
    </div>
  );
};

const TextareaState = (props) => {
  let [myText, setText] = React.useState("test");

  return (
    <div>
      <Textarea
        defaultValue={myText}
        onChange={(value, ev) => {
          setText(value);
        }}
      />
    </div>
  );
};

export default function Textarea__default(props) {
  return (
    <div style={{ padding: "0 20px 50px 20px" }}>
      <br />
      <div>Usage</div>
      <br />
      <TextareaControlledExample />

      <br />
      <br />
      <div>Variant</div>
      <br />
      <TextareaState />
      <br />
      {/* <TextareaControlled variant="flushed" /> */}
      {/* <br />
      <Textarea variant="flushed" />
      <br />
      <br />
      <Textarea variant="filled" />
      <br />
      <br />
      <Textarea variant="unstyled" />
      <br />
      <br />
      <div>Color</div>
      <Textarea color="default" />
      <br />
      <Textarea color="primary" />
      <br />
      <Textarea color="danger" />
      <br />
      <br />
      <div>Size</div>
      <br />
      <Textarea size="size_sm" animateOnFocus />
      <br />
      <Textarea size="size_md" />
      <br />
      <Textarea size="size_lg" animateOnFocus />
      <br />
      <br />
      <div>Disabled</div>
      <br />
      <Textarea disabled={true} />
      <br />
      <br />
      <div>Resize</div>
      <br />
      <Textarea resize={false} /> */}
      <br />
    </div>
  );
}

if (__DOCS__) {
  Textarea__default.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}
