import React from "react";
import TextBoxBehaviour, {
  TextBoxControlledBehaviour
} from "./TextBox.behaviour";
import TextBoxSkeleton from "./TextBox.skeleton";
import textBoxPropTypes, {
  defaultProps,
  propsDescription,
  textboxControlledPropTypes,
  textboxControlledDescription
} from "./TextBox.propTypes";
import constantProps from "./TextBox.constantProps";
import componentCategories from "../../docs-utils/componentCategories";
import componentGroups from "../../docs-utils/componentGroups";

export default function TextBox(props) {
  return <TextBoxBehaviour {...props} renderComponent={TextBoxSkeleton} />;
}

TextBox.propTypes = textBoxPropTypes;
TextBox.defaultProps = defaultProps;
TextBox.propsDescription = propsDescription;
TextBox.constantProps = constantProps;

export function TextBoxControlled(props) {
  return (
    <TextBoxControlledBehaviour {...props} renderComponent={TextBoxSkeleton} />
  );
}

TextBoxControlled.propTypes = textboxControlledPropTypes;
TextBoxControlled.defaultProps = defaultProps;
TextBoxControlled.propsDescription = textboxControlledDescription;
TextBoxControlled.constantProps = constantProps;

if (__DOCS__) {
  TextBox.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}