import React from 'react';
import { DocsTabsViewer } from '@zohodesk/docs';
import TextBox, { TextBoxControlled } from '../TextBox';
import textBoxDocConfig from './TextBox.model.docConfig';
import componentCategories from '../../../docs-utils/componentCategories';
import componentGroups from '../../../docs-utils/componentGroups';

export default function TextBox__Model(props) {
  return (
    <DocsTabsViewer
      docConfig={textBoxDocConfig}
      componentType={TextBox}
      components={{ TextBox, TextBoxControlled }}
      {...props}
    />
  );
}

if (__DOCS__) {
  TextBox__Model.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}
