import React from "react";
import Textbox from "../TextBox";
import componentCategories from "../../../docs-utils/componentCategories";
import componentGroups from "../../../docs-utils/componentGroups";

export default function Textbox__default(props) {
  return (
    <div style={{ padding: "0 20px 50px 20px" }}>
      <br />
      <div>Variant</div>
      <br />
      <Textbox variant='secondary' shape='shape_oval' />
      <br />
      <Textbox variant='primary' placeHolder='primary' value='prabhu' />
      <br />
      <Textbox variant='mandatory' />
      <br />
      <br />
      <div>Style</div>
      <br />
      <Textbox />
      <br />
      <Textbox fieldStyle='line' />
      <br />
      <Textbox fieldStyle='no-border' />
      <br />
      <Textbox fieldStyle='rounded-corner' />
      <br />
      <Textbox fieldStyle='rounded' />
      <br />
      <br />
      <div>Size</div>
      <br />
      <Textbox size='size_sm' />
      <br />
      <Textbox size='size_md' />
      <br />
      <Textbox size='size_lg' />
      <br />
      <br />
      <div>Type</div>
      <br />
      <Textbox type='text' placeholder='Text' />
      <br />
      <Textbox type='number' placeholder='Number' />
      <br />
      <Textbox type='search' placeholder='Search' />
      <br />
      <Textbox type='email' placeholder='Email' />
      <br />
      <Textbox type='password' placeholder='Password' />
      <br />
      <Textbox type='url' placeholder='URL' />
      <br />
      <Textbox type='readonly' placeholder='Readonly' />
      <br />
      <Textbox type='required' placeholder='Required' />
      <br />
      <br />
      <div>Disabled</div>
      <br />
      <Textbox disabled={true} />
      <br />
      <br />
      <div>with Icon</div>
      <br />
      <Textbox startIcon='i' />
      <br />
      <Textbox endIcon='i' />
      <br />
    </div>
  );
}

if (__DOCS__) {
  Textbox__default.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}
