import React from "react";
import componentGroups from "../../docs-utils/componentGroups";
import componentCategories from "../../docs-utils/componentCategories";

import TreeViewerBehaviour, { TreeItemBehaviour } from "./TreeViewer.behaviour";
import TreeViewerSkeleton, { TreeItemSkeleton } from "./TreeViewer.skeleton";

export default function TreeViewer(props) {
  return (
    <TreeViewerBehaviour {...props} renderComponent={TreeViewerSkeleton} />
  );
}

export function TreeItem(props) {
  return <TreeItemBehaviour {...props} renderComponent={TreeItemSkeleton} />;
}
if (__DOCS__) {
  TreeViewer.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}
