import React, { useEffect } from 'react';
import useAccessNavigationManager from '@zohodesk/hooks/es/accessiblity/useAccessNavigationManager';

import useFocusVisible from '@zohodesk/hooks/es/accessiblity/useFocusVisible';

let rootElementProps1, getItemProps1, focusFirst1;

function TreeViewerSkeleton(props) {
  let { rootElementProps, getItemProps, focusFirst } = useAccessNavigationManager({
    focus: true,
    activecss: 'qwertyuiop123',
    keyName: {
      left: ['arrowleft'],
      right: ['arrowright'],
      up: ['arrowup'],
      down: ['arrowdown']
    }
  });

  rootElementProps1 = rootElementProps;
  getItemProps1 = getItemProps;
  focusFirst1 = focusFirst;
  let { children } = props;
  return <div {...rootElementProps1}>{children}</div>;
}

export function TreeItemSkeleton(props) {
  let { dataAriaItem, itemId } = getItemProps1();
  let { focusProps } = useFocusVisible({
    onFocus: () => {
      focusFirst1(itemId);
    }
  });
  let { children, heading, treeUIState, handleChange, id, status } = props;

  let handleKeydown = (e) => {
    if (e.keycode === 38) {
      up(-1);
    } else if (e.keycode === 40) {
      down(+1);
    }
  };
  return (
    <div>
      <div
        onKeyDown={handleKeydown}
        {...focusProps}
        {...dataAriaItem}
        data-aria-shortcut={!status ? 'click:arrowright-enter' : 'click:arrowleft-enter'}
        tabIndex={'0'}
        onClick={() => {
          handleChange(id, !status);
        }}
      >
        {heading()}
      </div>
      {status ? <div>{children}</div> : null}
    </div>
  );
}

export default TreeViewerSkeleton;
