import React from "react";
import UploadButtonBehaviour from "./UploadButton.behaviour";
import UploadButtonSkeleton from "./UploadButton.skeleton";
import componentGroups from "../../docs-utils/componentGroups";
import componentCategories from "../../docs-utils/componentCategories";

import uploadButtonPropTypes, {
  defaultProps,
  propsDescription
} from "./UploadButton.propTypes";
import constantProps from "./UploadButton.constantProps";

export default function UploadButton(props) {
  return (
    <UploadButtonBehaviour {...props} renderComponent={UploadButtonSkeleton} />
  );
}

UploadButton.propTypes = uploadButtonPropTypes;
UploadButton.defaultProps = defaultProps;
UploadButton.propsDescription = propsDescription;
UploadButton.constantProps = constantProps;

if (__DOCS__) {
  UploadButton.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}
