import React from 'react';

import Button from '../deprecated/button/Button';
import Box from '../layout/Box';
import defaultStyle from './UploadButton.module.css';
import uploadButtonPropTypes, { defaultProps, propsDescription } from './UploadButton.propTypes';
import getCompliedCustomId from '../../utils/getCompliedCustomId';
import useMergeStyle from '@zohodesk/hooks/es/utils/useMergeStyle';
import uploadButtonCssJSLogic from './UploadButton.cssJSLogic';

export default function UploadButtonSkeleton(props) {
  let {
    onChange,
    multiple,
    eleRef,
    variant,
    size,
    shape,
    text,
    startIcon,
    endIcon,
    disabled,
    color,
    onClick,
    accept,
    customId,
    customStyle,
    tagAttributes,
    tagGeneralAttributes
  } = props;

  let style = useMergeStyle(defaultStyle, customStyle);

  let className = uploadButtonCssJSLogic(props, style);

  return (
    <Box
      // className={style.base}
      tagAttributeProps={{
        'data-id': getCompliedCustomId(props, customId.uploadButton)
      }}
    >
      <Button
        onClick={onClick}
        text={text}
        variant={variant}
        size={size}
        shape={shape}
        startIcon={startIcon}
        endIcon={endIcon}
        disabled={disabled}
        color={color}
      />
      <input
        {...tagGeneralAttributes}
        type='file'
        className={className}
        ref={eleRef}
        onChange={onChange}
        multiple={multiple}
        accept={accept}
        {...tagAttributes}
      ></input>
    </Box>
  );
}

UploadButtonSkeleton.propTypes = uploadButtonPropTypes;
UploadButtonSkeleton.defaultProps = defaultProps;
UploadButtonSkeleton.propsDescription = propsDescription;
