import React from "react";
import UploadButton from "../UploadButton";
import renderer from "react-test-renderer";
import constantProps from "../UploadButton.constantProps";

describe("UploadUploadButton component", () => {
  it("should display the text", () => {
    let ele = renderer.create(
      <UploadButton
        text="Text UploadButton"
        size={constantProps.size.small}
        shape={constantProps.shape.circle}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the UploadButton", () => {
    let ele = renderer.create(
      <UploadButton
        text="Text UploadButton"
        size={constantProps.size.small}
        shape={constantProps.shape.circle}
        variant={constantProps.variant.contained}
        renderComponent={(props) => {
          let { variant, size, shape, text } = props;
          return (
            <span
              className={`${style[size]} ${style[shape]} ${style[variant]}`}
            >
              {text}
            </span>
          );
        }}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the children", () => {
    let ele = renderer.create(
      <UploadButton
        size={constantProps.size.small}
        shape={constantProps.shape.circle}
      >
        Children
      </UploadButton>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the UploadButton variant-contained,color-primary", () => {
    let ele = renderer.create(
      <UploadButton
        text={constantProps.variant.contained}
        variant={constantProps.variant.contained}
        color={constantProps.color.primary}
        size={constantProps.size.small}
        shape={constantProps.shape.circle}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });

  it("should display the UploadButton variant-outlined,color-primary", () => {
    let ele = renderer.create(
      <UploadButton
        text={constantProps.variant.outlined}
        variant={constantProps.variant.outlined}
        color={constantProps.color.primary}
        size={constantProps.size.small}
        shape={constantProps.shape.circle}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the UploadButton variant-text,color-primary", () => {
    let ele = renderer.create(
      <UploadButton
        text={constantProps.variant.text}
        variant={constantProps.variant.text}
        color={constantProps.color.primary}
        size={constantProps.size.small}
        shape={constantProps.shape.circle}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the UploadButton variant-contained,color-secondary", () => {
    let ele = renderer.create(
      <UploadButton
        text={constantProps.variant.contained}
        variant={constantProps.variant.contained}
        color={constantProps.color.secondary}
        size={constantProps.size.small}
        shape={constantProps.shape.circle}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the UploadButton variant-outlined,color-secondary", () => {
    let ele = renderer.create(
      <UploadButton
        text={constantProps.variant.outlined}
        variant={constantProps.variant.outlined}
        color={constantProps.color.secondary}
        size={constantProps.size.small}
        shape={constantProps.shape.circle}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the UploadButton variant-text,color-secondary", () => {
    let ele = renderer.create(
      <UploadButton
        text={constantProps.variant.text}
        variant={constantProps.variant.text}
        color={constantProps.color.secondary}
        size={constantProps.size.small}
        shape={constantProps.shape.circle}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the UploadButton variant-contained,color-danger", () => {
    let ele = renderer.create(
      <UploadButton
        text={constantProps.variant.contained}
        variant={constantProps.variant.contained}
        color={constantProps.color.danger}
        size={constantProps.size.small}
        shape={constantProps.shape.circle}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the UploadButton variant-outlined,color-danger", () => {
    let ele = renderer.create(
      <UploadButton
        text={constantProps.variant.outlined}
        variant={constantProps.variant.outlined}
        color={constantProps.color.danger}
        size={constantProps.size.small}
        shape={constantProps.shape.circle}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the UploadButton variant-text,color-danger", () => {
    let ele = renderer.create(
      <UploadButton
        text={constantProps.variant.text}
        variant={constantProps.variant.text}
        color={constantProps.color.danger}
        size={constantProps.size.small}
        shape={constantProps.shape.circle}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the UploadButton variant-contained,color-success", () => {
    let ele = renderer.create(
      <UploadButton
        text={constantProps.variant.contained}
        variant={constantProps.variant.contained}
        color={constantProps.color.success}
        size={constantProps.size.small}
        shape={constantProps.shape.circle}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the UploadButton variant-outlined,color-success", () => {
    let ele = renderer.create(
      <UploadButton
        text={constantProps.variant.outlined}
        variant={constantProps.variant.outlined}
        color={constantProps.color.success}
        size={constantProps.size.small}
        shape={constantProps.shape.circle}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the UploadButton variant-text,color-success", () => {
    let ele = renderer.create(
      <UploadButton
        text={constantProps.variant.text}
        variant={constantProps.variant.text}
        color={constantProps.color.success}
        size={constantProps.size.small}
        shape={constantProps.shape.circle}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the UploadButton size-sm", () => {
    let ele = renderer.create(
      <UploadButton
        text="small"
        variant={constantProps.variant.text}
        color={constantProps.color.success}
        size={constantProps.size.small}
        shape={constantProps.shape.circle}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the UploadButton size-md", () => {
    let ele = renderer.create(
      <UploadButton
        text="medium"
        size={constantProps.size.medium}
        variant={constantProps.variant.text}
        color={constantProps.color.success}
        shape={constantProps.shape.circle}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the UploadButton size-lg", () => {
    let ele = renderer.create(
      <UploadButton
        text="large"
        size={constantProps.size.large}
        variant={constantProps.variant.text}
        color={constantProps.color.success}
        shape={constantProps.shape.circle}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the UploadButton size-xl", () => {
    let ele = renderer.create(
      <UploadButton
        text="xLarge"
        size={constantProps.size.xLarge}
        variant={constantProps.variant.text}
        color={constantProps.color.success}
        shape={constantProps.shape.circle}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the UploadButton size-stretch", () => {
    let ele = renderer.create(
      <UploadButton
        text={constantProps.size.stretch}
        size={constantProps.size.stretch}
        variant={constantProps.variant.text}
        color={constantProps.color.success}
        shape={constantProps.shape.square}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the UploadButton shape-default", () => {
    let ele = renderer.create(
      <UploadButton
        text="+"
        shape={constantProps.shape.default}
        variant={constantProps.variant.text}
        color={constantProps.color.success}
        size={constantProps.size.small}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the UploadButton shape-circle", () => {
    let ele = renderer.create(
      <UploadButton
        text="+"
        shape={constantProps.shape.circle}
        variant={constantProps.variant.text}
        color={constantProps.color.success}
        size={constantProps.size.small}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the UploadButton shape-oval", () => {
    let ele = renderer.create(
      <UploadButton
        text="+"
        shape={constantProps.shape.oval}
        size={constantProps.size.medium}
        variant={constantProps.variant.text}
        color={constantProps.color.success}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the UploadButton shape-square", () => {
    let ele = renderer.create(
      <UploadButton
        text="+"
        shape={constantProps.shape.square}
        size={constantProps.size.medium}
        variant={constantProps.variant.text}
        color={constantProps.color.success}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the UploadButton disabled", () => {
    let ele = renderer.create(
      <UploadButton
        text="+"
        size={constantProps.size.medium}
        variant={constantProps.variant.text}
        color={constantProps.color.success}
        disabled
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the UploadButton active", () => {
    let ele = renderer.create(
      <UploadButton
        text="+"
        size={constantProps.size.medium}
        variant={constantProps.variant.text}
        color={constantProps.color.success}
        active
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the UploadButton hover", () => {
    let ele = renderer.create(
      <UploadButton
        text="+"
        size={constantProps.size.medium}
        variant={constantProps.variant.text}
        color={constantProps.color.success}
        hovered
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("children count", () => {
    let rootIns = renderer.create(
      <UploadButton
        text="UploadButton"
        size={constantProps.size.medium}
        variant={constantProps.variant.contained}
        color={constantProps.color.primary}
        shape={constantProps.shape.square}
      >
        <div>follow</div>
      </UploadButton>
    ).root;

    expect(rootIns.children.length).toEqual(1);
  });
  it("should display the Icon component in start", () => {
    let ele = renderer.create(
      <UploadButton
        variant={constantProps.variant.contained}
        size={constantProps.size.medium}
        shape={constantProps.shape.square}
        color={constantProps.color.success}
        startIcon="SI"
        text="UploadButton"
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the Icon component in end", () => {
    let ele = renderer.create(
      <UploadButton
        variant={constantProps.variant.contained}
        size={constantProps.size.medium}
        shape={constantProps.shape.square}
        color={constantProps.color.success}
        text="UploadButton"
        endIcon="EI"
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the Icon component in start and end", () => {
    let ele = renderer.create(
      <UploadButton
        variant={constantProps.variant.contained}
        size={constantProps.size.medium}
        shape={constantProps.shape.square}
        color={constantProps.color.success}
        startIcon="SI"
        text="UploadButton"
        endIcon="EI"
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should display the UploadButton hover", () => {
    let ele = renderer.create(
      <UploadButton
        size={constantProps.size.medium}
        variant={constantProps.variant.contained}
        color={constantProps.color.primary}
        shape={constantProps.shape.square}
        textEllipsis
        text="Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book."
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });

  it("should rendered the custom-id attributes", () => {
    let ele = renderer.create(
      <UploadButton
        text="UploadButton"
        customId="customBtn"
        size={constantProps.size.medium}
        variant={constantProps.variant.contained}
        color={constantProps.color.primary}
        shape={constantProps.shape.square}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should rendered the restorFocus true", () => {
    let ele = renderer.create(
      <UploadButton
        text="UploadButton"
        restoreFocus={true}
        size={constantProps.size.medium}
        variant={constantProps.variant.contained}
        color={constantProps.color.primary}
        shape={constantProps.shape.square}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should rendered the restorFocus false", () => {
    let ele = renderer.create(
      <UploadButton
        text="UploadButton"
        restoreFocus={true}
        size={constantProps.size.medium}
        variant={constantProps.variant.contained}
        color={constantProps.color.primary}
        shape={constantProps.shape.square}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });

  it("should rendered the autoFocus true", () => {
    let ele = renderer.create(
      <UploadButton
        text="UploadButton"
        autoFocus={true}
        size={constantProps.size.medium}
        variant={constantProps.variant.contained}
        color={constantProps.color.primary}
        shape={constantProps.shape.square}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should rendered the autoFocus false", () => {
    let ele = renderer.create(
      <UploadButton
        text="UploadButton"
        autoFocus={true}
        size={constantProps.size.medium}
        variant={constantProps.variant.contained}
        color={constantProps.color.primary}
        shape={constantProps.shape.square}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });

  it("should rendered the focusClass", () => {
    let ele = renderer.create(
      <UploadButton
        text="UploadButton"
        focusClass="focused"
        size={constantProps.size.medium}
        variant={constantProps.variant.contained}
        color={constantProps.color.primary}
        shape={constantProps.shape.square}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should rendered the focusClass null", () => {
    let ele = renderer.create(
      <UploadButton
        text="UploadButton"
        focusClass={null}
        size={constantProps.size.medium}
        variant={constantProps.variant.contained}
        color={constantProps.color.primary}
        shape={constantProps.shape.square}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should rendered the custom-classname attribute", () => {
    let ele = renderer.create(
      <UploadButton
        text="UploadButton"
        customStyle={{
          size: "size",
          shape: "shape",
          variant: "variant",
          color: "color",
          textEllipsis: "textEllipsis",
          cursor: "cursor",
          active: "active",
          hovered: "hovered",
          disabled: "disabled"
        }}
        size={constantProps.size.medium}
        variant={constantProps.variant.contained}
        color={constantProps.color.primary}
        shape={constantProps.shape.square}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should rendered the aria-label attribute", () => {
    let ele = renderer.create(
      <UploadButton
        text="UploadButton"
        ariaLabel="submit"
        size={constantProps.size.medium}
        variant={constantProps.variant.contained}
        color={constantProps.color.primary}
        shape={constantProps.shape.square}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should rendered the role attribute", () => {
    let ele = renderer.create(
      <UploadButton
        text="UploadButton"
        role="UploadButton"
        size={constantProps.size.medium}
        variant={constantProps.variant.contained}
        color={constantProps.color.primary}
        shape={constantProps.shape.square}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should rendered the ariaLabelledby attribute", () => {
    let ele = renderer.create(
      <UploadButton
        text="UploadButton"
        ariaLabelledby="follow"
        size={constantProps.size.medium}
        variant={constantProps.variant.contained}
        color={constantProps.color.primary}
        shape={constantProps.shape.square}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should rendered the ariaDisabled attribute", () => {
    let ele = renderer.create(
      <UploadButton
        text="UploadButton"
        ariaDisabled="disabled"
        size={constantProps.size.medium}
        variant={constantProps.variant.contained}
        color={constantProps.color.primary}
        shape={constantProps.shape.square}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should rendered the ariaPressed attribute", () => {
    let ele = renderer.create(
      <UploadButton
        text="UploadButton"
        ariaPressed="pressed"
        size={constantProps.size.medium}
        variant={constantProps.variant.contained}
        color={constantProps.color.primary}
        shape={constantProps.shape.square}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should rendered the ariaExpanded attribute", () => {
    let ele = renderer.create(
      <UploadButton
        text="UploadButton"
        ariaExpanded="expanded"
        size={constantProps.size.medium}
        variant={constantProps.variant.contained}
        color={constantProps.color.primary}
        shape={constantProps.shape.square}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should rendered the ariaSelected attribute", () => {
    let ele = renderer.create(
      <UploadButton
        text="UploadButton"
        ariaSelected="selected"
        size={constantProps.size.medium}
        variant={constantProps.variant.contained}
        color={constantProps.color.primary}
        shape={constantProps.shape.square}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should rendered the ariaControls attribute", () => {
    let ele = renderer.create(
      <UploadButton
        text="UploadButton"
        ariaControls="control"
        size={constantProps.size.medium}
        variant={constantProps.variant.contained}
        color={constantProps.color.primary}
        shape={constantProps.shape.square}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should rendered the focusClass attribute", () => {
    let ele = renderer.create(
      <UploadButton
        text="UploadButton"
        focusClass="focusClass"
        size={constantProps.size.medium}
        variant={constantProps.variant.contained}
        color={constantProps.color.primary}
        shape={constantProps.shape.square}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("should rendered the restoreFocus attribute", () => {
    let ele = renderer.create(
      <UploadButton
        text="UploadButton"
        size={constantProps.size.medium}
        variant={constantProps.variant.contained}
        color={constantProps.color.primary}
        shape={constantProps.shape.square}
      />
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });

  // it("test the onclick props", () => {
  //   const mockFunction = jest.fn();
  //   const element = renderer.create(
  //     <UploadButton
  //       text="UploadButton"
  //       onHandleFile={mockFunction}
  //       variant={constantProps.variant.text}
  //       color={constantProps.color.success}
  //       size={constantProps.size.small}
  //     />
  //   );
  //   element.root.findByType("UploadButton").props.onClick();
  //   expect(mockFunction.mock.calls.length).toEqual(1);
  // });
});
